Index: trunk/spip/esqueleto-redcta/pages-custom/aviso-portada.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/aviso-portada.html	(revision 262)
+++ trunk/spip/esqueleto-redcta/pages-custom/aviso-portada.html	(revision 263)
@@ -13,7 +13,7 @@
 							</BOUCLE_muestradoc>
 						</B_muestradoc>
-						[(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
-                [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
-                [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+						[(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{style,border:1px solid #000000})]]
+                [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{style,border:1px solid #000000})]]
+                [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{style,border:1px solid #000000})]]
 	
 						<//B_muestradoc>     
Index: trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html	(revision 262)
+++ trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html	(revision 263)
@@ -8,7 +8,7 @@
         			<div class="avisos">	
 				
-					[<a href="#URL_ARTICLE">(#ENV{conteneur}|=={1}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]</a>]
-               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={2}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]</a>]
-               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={3}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]</a>]
+					[<a href="#URL_ARTICLE">(#ENV{conteneur}|=={1}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{style,border:1px solid #000000})]</a>]
+               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={2}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{style,border:1px solid #000000})]</a>]
+               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={3}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{style,border:1px solid #000000})]</a>]
 				                                                               <!-- Inserta el documento en este caso FLASH en la pagina -->  
     				</div><!-- avisosderecha -->
@@ -16,7 +16,7 @@
 				</B_muestraspots>
 					<div class="avisosderecha">	
-					 [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
-                [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
-                [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+					 [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{style,border:1px solid #000000})]]
+                [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{style,border:1px solid #000000})]]
+                [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{style,border:1px solid #000000})]]
 	
 					</div><!-- avisosderecha -->
Index: trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html	(revision 262)
+++ trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html	(revision 263)
@@ -8,7 +8,7 @@
         			<div class="avisos">	
 				
-					[<a href="#URL_ARTICLE">(#ENV{conteneur}|=={1}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]</a>]
-               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={2}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]</a>]
-               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={3}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]</a>]
+					[<a href="#URL_ARTICLE">(#ENV{conteneur}|=={1}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{style,border:1px solid #000000})]</a>]
+               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={2}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{style,border:1px solid #000000})]</a>]
+               [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={3}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{style,border:1px solid #000000})]</a>]
 				                                                               <!-- Inserta el documento en este caso FLASH en la pagina -->  
     				</div><!-- avisosderecha -->
@@ -16,7 +16,7 @@
 				</B_muestraspots>
 					<div class="avisosderecha">	
-					 [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
-                [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
-                [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+					 [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{style,border:1px solid #000000})]]
+                [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{style,border:1px solid #000000})]]
+                [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0}|inserer_attribut{style,border:1px solid #000000})]]
 	
 					</div><!-- avisosderecha -->