Index: /trunk/puppet/manifests/node-prod-servidores.pp
===================================================================
--- /trunk/puppet/manifests/node-prod-servidores.pp	(revision 309)
+++ /trunk/puppet/manifests/node-prod-servidores.pp	(revision 310)
@@ -9,47 +9,4 @@
     include debproxy::server
 }
-
-node lugo {
-
-    include matrix::ldapauthclient
-
-    cronapt::mailon-mailto { dist:
-       mailon => "upgrade",
-       mailto => "seguridad@localhost"
-    }
-
-    include ubuntu::optimizacion
-    include utile-cli
-
-    debproxy::activateclient { dist:
-       debproxyhost => "debproxy-ubuntu",
-    }
-
-    include ltsp::updateclient::piloto
-
-    ltsp::buildclient { dist:
-        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
-        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
-    }
-   
-    include estacion-de-trabajo
-
-    ubuntufirefox::startuppage { dist:
-       startuppage => "http://www.constituyentesocial.org.ar",
-    }
-
-    include virtualbox-repo
-
-    file { ["/home"]:
-      ensure => directory,
-      owner => "root", group => "root", mode => "755"
-    }
-    file { ["/home/sedenacional-maquinavirtual"]:
-      ensure => directory,
-      owner => "root", group => "vboxusers", mode => "770"
-    }
-
-}
-
 
 node impreso {
Index: /trunk/puppet/manifests/site.pp
===================================================================
--- /trunk/puppet/manifests/site.pp	(revision 309)
+++ /trunk/puppet/manifests/site.pp	(revision 310)
@@ -5,4 +5,6 @@
 import "node-prod-estaciones.pp"
 import "node-prod-servidores.pp"
+import "lugo.pp"
+import "walsh.pp"
 
 # Create "/tmp/testfile" if it doesn't exist.
@@ -32,110 +34,4 @@
 }
 
-node walsh {
-    include test_class
-
-    include cups::browse
-    include ubuntu::optimizacion
-
-    include utile-cli
-
-    debproxy::activateclient { dist:
-       debproxyhost => "debproxy-ubuntu",
-    }
-
-    cronapt::mailon-mailto { dist:
-       mailon => "upgrade",
-       mailto => "seguridad@localhost"
-    }
-
-    include estacion-de-trabajo
-
-    ubuntufirefox::startuppage { dist:
-       startuppage => "http://www.sedenacional.cta.org.ar",
-    }
-
-    include ltsp::updateclient::piloto
-
-    ltsp::buildclient { dist:
-        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
-        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
-    }
-
-    include ltsp::tftpdhpa::activate
-
-    include matrix::ldapauthclient
-
-    # mount samba shared
-    package {
-         [ "smbfs" ]: ensure => installed;
-     }
-
-    file { ["/home"]:
-      ensure => directory,
-      owner => "root", group => "root", mode => "755"
-    }
-    file { ["/home/sedenacional-prensa"]:
-      ensure => directory,
-      owner => "root", group => "sedenacional-prensa", mode => "770"
-    }
-
-    file { ["/home/sedenacional-internacional"]:
-      ensure => directory,
-      owner => "root", group => "sedenacional-internacional", mode => "770"
-    }
-
-    file { ["/home/sedenacional-observatorio"]:
-      ensure => directory,
-      owner => "root", group => "sedenacional-observatorio", mode => "770"
-    }
-
-    file { ["/home/sedenacional-genero"]:
-      ensure => directory,
-      owner => "root", group => "sedenacional-genero", mode => "770"
-    }
-
-     mount { "/home/sedenacional-prensa":
-         atboot   => true,
-         device   => "//tupac/prensa",
-         ensure   => mounted,
-         fstype   => "smbfs",
-	 remounts => false,
-	 options  => "credentials=/root/smb-prensa,dir_mode=0770,gid=10048,iocharset=utf8",
-         require  => package["smbfs"],
-     }
-
-     mount { "/home/sedenacional-internacional":
-         atboot   => true,
-         device   => "//tupac/internacional",
-         ensure   => mounted,
-         fstype   => "smbfs",
-         remounts => false,
-         options  => "credentials=/root/smb-internacional,dir_mode=0770,gid=10049,iocharset=utf8",
-         require  => package["smbfs"],
-     }
-
-     mount { "/home/sedenacional-observatorio":
-         atboot   => true,
-         device   => "//tupac/observatorio",
-         ensure   => mounted,
-         fstype   => "smbfs",
-         remounts => false,
-         options  => "credentials=/root/smb-observatorio,dir_mode=0770,gid=10050,iocharset=utf8",
-         require  => package["smbfs"],
-     }
-
-     mount { "/home/sedenacional-genero":
-         atboot   => true,
-         device   => "//tupac/genero",
-         ensure   => mounted,
-         fstype   => "smbfs",
-         remounts => false,
-         options  => "credentials=/root/smb-genero,dir_mode=0770,gid=10051,iocharset=utf8",
-         require  => package["smbfs"],
-     }
-
-
-}
-
 node zara  {
     include test_class