Index: trunk/spip/esqueleto-redcta/plugins/redCTA/lang/redcta_es.php
===================================================================
--- trunk/spip/esqueleto-redcta/plugins/redCTA/lang/redcta_es.php	(revision 353)
+++ trunk/spip/esqueleto-redcta/plugins/redCTA/lang/redcta_es.php	(revision 353)
@@ -0,0 +1,308 @@
+<?php
+
+// ARCHIVO DE TRADUCCION DE LAS OPCIONES REDCTA
+// Pour les caractÃšres spÃ©ciaux HTML voir  
+//  http://www.ilovejackdaniels.com/cheat-sheets/html-character-entities-cheat-sheet/
+// Attention Ã  Ã©chapper les guillements par backspace : "l'apostrophe" -> "l\'apostrophe"
+
+// Pour la traduction de la partie publique voir local_**.php
+
+$GLOBALS['i18n_redcta_es'] = array(
+
+// TRADUCCIONES GENERALES
+  'titre'                     => 'TÃ­tulo',
+  'acces_a_la_page'           => 'Solamente los administradores o administradoras tienen acceso a esta pÃ¡gina.',
+  'modifier_cette_option'     => 'Modificar esta opciÃ³n',
+  'info'                      => 'info',
+  'erreur'                    => 'Error',
+  'le_changement_a_ete_effectue' => 'El cambio se ha realizado',
+
+// messages d'erreur
+  'erreur_extension'          => 'Este tipo de archivo no estÃ¡ permitido.',
+  'upload_reussi'             => 'Imagen subida.',
+  'upload_rate'               => 'Imposible subir la imagen.',
+  'erreur_trop_gros'          => 'El archivo es demasiado grande.',
+  'erreur_transmission'       => 'Ha habido un problema durante la transmisiÃ³n del archivo.',
+
+// menu de navigation
+
+// boutons
+  'enregistrer'               => 'Guardar',
+  'modifier_et_retour' => 'Guardar y volver a la pÃ¡gina',
+  'supprimer'                 => 'Eliminar',
+  'options_readcta'              => '  Opciones redCTA',
+// onglets
+  'onglet_base'               => 'ConfiguraciÃ³n inicial',
+  'onglet_themes'             => 'Temas',
+  'onglet_avance'             => 'Blocs libres',
+  'onglet_menu'               => 'MenÃºs',
+  'onglet_gabarit'            => 'Plantillas',
+  'onglet_a_propos'           => 'Acerca de',
+  
+// blocs libres
+  'titre_bloc_defaut'         => 'TÃ­tulo del bloc libre',
+  'texte_bloc_defaut'         => 'Texto del bloc libre',
+  'logo_bloc'                 => 'Logo del bloc libre:',
+  'modifier_bloc_libre'       => 'Modificar este bloc',
+  'supprimer_bloc'            => 'Eliminar este bloc',
+  'charger_une_image'         => 'AÃ±adir una imagen en este bloc:',
+  'charger_autre_image'       => 'Cambiar la imagen de este bloc:',
+  'supprimer_bandeau'         => 'Eliminar esta cabecera',
+  'entrez_donnees_nouveau_bloc' => 'TÃ­tulo y texto del bloc libre',
+  'bloc_lien'                 => 'Enlace (se aplica sobre la imagen y el texto del bloc, opcional)',
+  'bloc_image'                => 'Illustration du bloc (optionnel)',
+  
+// bloc de logo de rubrique
+ 'intro_up_rub_bandeau' => 'Cliquea sobre el botÃ³n "Seleccionar el archivo" para aÃ±adir/cambiar la cabecera de esta secciÃ³n',
+ 'titre_up_rub_bandeau' => 'Cabecera de esta secciÃ³n',
+ 'invit_up_rub_bandeau' => 'Cambiar la cabecera',
+ 'upload_reussi'        => 'Upload realizada',
+ 'bandeau_actuel'       => 'Cabecera actual',
+ 'aucun_bandeau_rub'    => 'No hay cabecera seleccionada',
+
+// TRADUCTIONS SPECIFIQUES
+//ARTY.php - Options de base
+  // titre page
+  'titre_options_base'        => 'Opciones ARTY iniciales',
+  'titre_configuration_base'  => 'ConfiguraciÃ³n inicial',
+  'sideinfo_arty'             => 'En esta pÃ¡gina puedes seleccionar las secciones de donde se recogerÃ¡n los contenidos de la editorial, las noticias, etc.',
+  'edito'                     => 'SÃ©lecciona la editorial',
+  'choix_rubrique_news'       => 'Elige la secciÃ³n para las noticias',
+  'rubrique_article_une'      => 'Rubrique et articles Ã  la une',
+  'pas_de_une'                => 'Pas de rubrique ou d\'article Ã  la une',
+  'explication_choix_rubrique_news' => 'Las noticias son informaciones cortas sobre tu actividad. TÃ©cnicamente son breves escritas en una secciÃ³n.',
+  'video_au_hasard'     => 'Selecciona la secciÃ³n para vÃ­deos al azar',
+  'pas_de_image_hasard' => 'Sin imagen al azar',
+ 'cacher_edito'=> 'Ocultar la editorial (ocultar la editorial en las listas)',
+ 'lire_autres_editos' => 'Mostrar el enlace "leer las otras editoriales"',
+ 'ajouter_un_lien'=> 'AÃ±adir un enlace manual',
+  
+  // bloc aide
+  'titre_aide_base'           => 'Ayuda',
+  'aide_options_base'         => 'Si tienes poco tiempo &#224; para personalizar el sitio, concentra tus esfuerzos en esta pÃ¡gina.',
+  
+  // Page menu
+  'si_pas_langue'      => 'Si el idioma para el que quieres crear un menÃº no estÃ¡ en la lista, es que todavÃ­a no has asignado ese idioma a una secciÃ³n o a un artÃ­culo.',
+  'titre_options_menu' => 'CreaciÃ³n de los menÃºs',
+  'intro_menu'         => 'Esta pÃ¡gina permite crear el menÃº del sitio. Puedes poner secciones, artÃ­culos asi como grupos de palabras clave y palabras clave. Luego puedes organizar el orden estos elementos.',
+  'menu_actuel'        => 'MenÃº para el idioma',
+  'type_de_menu'       => 'Tipo de menÃº',
+  'menu_reservoir'     => 'Selecciona los elementos a incluir en el menÃº',
+  'nom_lien' => 'Nombre del enlace:',
+  'url_lien'=> 'DirecciÃ³n url del enlace:',
+  'un_niveau'=> 'Un nivel',
+  'deux_niveaux' => 'Dos niveles',
+  'manuel'   => 'Manual',
+  'nombre_niveaux_menu' => 'Puedes elegir entre 3 tipos de menÃº.',
+  'intro_niveaux_menu' => 'En el menÃº, puedes hacer aparecer sÃ³lo los nombres de las secciones (1 nivel), pero tambiÃ©n de las subsecciones (2 niveles). Si eliges el modo manual, tienes que elegir cada elemento a mostrar en el menÃº.',
+  'intro_lister_articles' => 'Marca aquÃ­ si quieres mostrar los artÃ­culos (y las palabras claves) en el segundo nivel.',
+  'lister_articles' => 'TambiÃ©n mostrar los artÃ­culos y las palabras clave.',
+  'choix_de_la_langue_menu' => 'Info',
+  'rubrique' => 'SecciÃ³n',
+  'article' => 'ArtÃ­culo',
+  'groupe' => 'Grupo de palabras',
+  'mot' => 'Palabra clave', 
+  'intro_choix_niveaux' => 'Elige los niveles a mostrar:',
+  'n_niveaux' => 'La jerarquÃ­a completa',
+  'intro_menu_manuel' => 'Seleccionando el modo manual, puedes elegir uno a uno los elementos a mostrar en la jerarquÃ­a del menÃº.',
+  'avis_menu_auto' => 'Como ningÃºn elemento ha sido aÃ±adido al menÃº, este funciona de forma automÃ¡tica.',
+  
+  // page article
+  'galerie_image'  => 'GalerÃ­a de imÃ¡genes',
+  'intro_creer_bloc' => 'AÃ±adir un bloc libre',
+  
+//PAGE THEMES
+  'sideinfo_theme' => 'Puedes seleccionar el tema principal del sitio asi como otras configuraciones generales: contenido del pie de pÃ¡gina, las metas, y el texto de la pÃ¡gina 404. El tema se encarga de a visualizaciÃ³n grÃ¡fica del sitio',
+  'aucun_bandeau' => 'No hay cabecera',
+  'choix_du_theme' => 'ConfiguraciÃ³n de los temas',
+  'choixtheme' => 'ElecciÃ³n del tema',
+  'theme_actuel' => 'Tema actual.',
+  'theme_base' => 'Tema inicial',
+  'bouton_changer_theme' => 'Guardar',
+  'titre_upload_bandeau' => 'AÃ±adir una cabecera',
+   'intro_upload_bandeau' => 'AquÃ­ puedes subir una cabecera (baner, logo, imagen que se mostrarÃ¡ en todas las pÃ¡ginas del sitio) cogiÃ©ndolo de una carpeta que se encuentra en tu ordenador.',
+   'footer'=> 'AÃ±adir un pie de pÃ¡gina',
+   'votre_message_de_footer' => 'AquÃ­ puedes subir los elementos para tu pie de pÃ¡gina. Es el texto del pie de pÃ¡gina que se aÃ±ade a todas las pÃ¡ginas del sitio.',
+   'metas' => 'Guardar tus metas',
+'vos_metas' => 'Un "mÃ©ta" es una informaciÃ³n oculta en la pÃ¡gina y que utilizan los motores de bÃºsqueda. Por ejemplo: si quieres aÃ±adir la "mÃ©ta" -pomme- y que la recoja gogle como -pomme-, vuestro sitio serÃ¡ mostrado en la lista de resultados cuando se busque -pomme-. Las tres metas principales son: keywords, description, robot.',
+'type_meta' => 'Tipo de metas', 
+'valeur_meta' => 'Tu(s) meta(s)',
+'page_404'=> 'Personalizar la pÃ¡gina de error (404). La pÃ¡gina se muestra cuando no se encuentra un enlace.',
+'votre_message_page_404'=> 'Marca el tÃ­tulo y el texto del mensaje 404',
+'liste_assoc' => 'Muestra los temas relacionados',
+'ajouter_meta' => 'AÃ±adir una meta',
+
+// page Exec (configuration de base)
+'pas_de_edito'=> 'No hay editorial.',
+'pas_de_rubrique_news' => 'No hay secciÃ³n noticias.',
+'pas_de_video_hasard' => 'No hay vÃ­deos al azar.',
+'config_date_auteur' => 'Personnalizar fecha y autor o autora',
+'intro_config_date_auteur' => 'Puedes elegir si mostrar o no la fecha o el autor o autora de los artÃ­culos y breves.',
+'intro_date'=> 'Selecciona una opciÃ³n',
+'intro_auteur' => 'Selecciona una opciÃ³n',
+
+'afficher_date' => 'Mostrar la fecha',
+'pas_de_date' => 'No mostrar la fecha',
+'afficher_auteur' => 'Mostrar el autor o autora',
+'pas_afficher_auteur' => 'No mostrar el autor o autora',
+'intro_suite' => 'Selecciona una opciÃ³n',
+'afficher_suite' => 'Mostrar el botÃ³n "leer mÃ¡s"',
+'pas_de_suite' => 'No mostrar el botÃ³n "leer mÃ¡s"',
+
+'config_forum'=> 'ConfiguraciÃ³n de los foros',
+'intro_config_forum'=>  'Elige el tipo de foros.',
+'explication_forum'=> 'Un foro permite intercambiar opiniones: leer las de otras personas y publicar las tuyas. Dispones de dos opciones. La primera necesita javascript. La primera permite tener un foro en el artÃ­culo, la segunda en una ventana separada.',
+'forum_self'=> 'Foro (con javascript)', 
+'forum_forum' => 'Foro (sin javascript)',
+'image_au_hasard'=> 'Elige la secciÃ³n para cargar imÃ¡genes al azar',
+'config_google_maps' => 'ConfiguraciÃ³n del mapa de google',
+'intro_config_api_key' => 'Los mapas de google son mapas personalizados (con marcadores, recorridos, textos, imÃ¡genes) fÃ¡ciles de incluir en el sitio de <a href="http://maps.google.com">google maps</a>. Para mostrarlos en tu sitio, tienes que crear una clave api y colocarla aquÃ­. Es gratuita. Luego, carga los ficheros KML en tus artÃ­culos como documentos.',
+'gmaps_afficher_controles' => 'Mostrar los botones de control en el mapa',
+
+// page blocs libres
+'gestion_bloc_libre' => "GestiÃ³n de los blocs libres",
+'sideinfo_avance'=>'AquÃ­ puedes gestionar los blocs libres, es decir, un texto, una imagen, un enlace, breve, un contenido que puede ser asociado a cualquier artÃ­culo, secciÃ³n e incluso portada. Citar tambiÃ©n las pÃ¡ginas de los artÃ­culos y las secciones para asociar al (a los) bloc(s)',
+'creer_un_bloc_libre'=>'Crear un bloc libre',
+'attention_modif_globale' => 'Attention, les modifications effectuÃ©es ici seront rÃ©percutÃ©es sur tous les endroits oÃ¹ le bloc a Ã©tÃ© associÃ©!',
+'modifier_ce_bloc' => 'Modificar el bloc',
+
+//page gabarit
+'sideinfo_gabarit'=>'AquÃ­ puedes configurar la plantilla de la pÃ¡gina desplazando los mÃ³dulos. Los mÃ³dulos de la columna de reserva rÃ©serve no se muestran en el sitio, deben estar situados en el cuerpo o en las columnas. Hay una plantilla para la pÃ¡gina de portada, pero tambiÃ©n para las secciones, artÃ­culos, grupos de palabras clave, foros, enlaces etc.',
+'sauver'=> 'Guardar',
+'configuration_des_gabarits'=>'ConfiguraciÃ³n de las plantillas:',
+'contexte1'=> 'Columna 1',
+'contexte2'=> 'Columna 2',
+'corps'=> 'Cuerpo',
+'reserve'=>'Reserva',
+'avance' => 'Reserva avanzada',
+'nouveau_gabarit'=>'Nueva plantilla',
+'deriver_gabarit'=> 'Nombre de la nueva plantilla',
+'baser_gabarit_sur'=> 'Partir de esta plantilla',
+'modifier_un_autre_gabarit' => 'Modificar otra plantilla',
+'nom_du_gabarit' => 'Nombre de la plantilla',
+'liste_assoc_gabarit' => 'PÃ¡ginas asociadas a esta plantilla',
+
+
+// gabarits : noms des blocs
+'bloc-libre' => 'Blocs libres',
+'articles-une' => 'Articles Ã  la une',
+'liste-liens' => 'Lista de enlaces',
+'derniers-liens' => 'Ãltimos enlaces',
+'nombre_liens_affiches' => 'NÃºmero de enlaces mostrados',
+'menu-langues' => 'MenÃº de idiomas',
+'rechercher' => 'Buscar',
+'editorial' => 'Editorial',
+'derniers-articles' => 'Ãltimos artÃ­culos',
+'nombre_articles_affiches' => 'NÃºmero de artÃ­culos mostrados',
+'identification-visiteur' => 'IdentificaciÃ³n de visitantes',
+'liste-breves' => 'Lista de breves',
+'nombre_breves_affichees' => 'NÃºmero de breves mostrados',
+
+'derniers-forums' => 'Ãltimos foros',
+'nombre_forums_affiches' => 'NÃºmero de foros mostrados',
+
+'groupe-mots-cles' => 'Grupo de palabras clave',
+'menu-groupe' => 'Palabras clave del grupo',
+'rubriques-une' => 'Rubrique Ã  la une',
+'nombre_articles' => 'NÃºmero de artÃ­culos mostrados',
+'bloc_libre_rubrique' => 'Blocs libres',
+'bloc_libre_article' => 'Blocs libres',
+'quels_blocs' => 'Â¿QuÃ© blocs?',
+'blocs_article' => 'Del artÃ­culo',
+'blocs_article_rubrique' => 'Del artÃ­culo y su secciÃ³n',
+'liste_extension_exclure' => 'Lista de extensiones a excluir separadas por barras verticales',
+'pieces_jointes' => 'Archivo completo',
+'rubrique_podcast' => 'Podcast de la secciÃ³n',
+'article_podcast' => 'Podcast del artÃ­culo',
+'liste_groupe_inclure' => 'Lista aquÃ­ las "id", los nÃºmeros, de los grupos de palabras calve separados por barras verticales.',
+'thesaurus_mots' => 'Tesauro',
+'raccourcis_sous_rubrique' => 'Lista de subsecciones (anclas)',
+'galerie_videos_rub' => 'GalerÃ­a de vÃ­deo',
+'type_de_video' => 'Tipo de vÃ­deo',
+'video-hasard' => 'VÃ­deo al azar',
+'flv_lecteur_flash' => 'FLV (lector flash)',
+'tous_popup' => 'Todos (popup)',
+'image-hasard' => 'Imagen al azar',
+
+'nombre_news_affichees' => 'NÃºmero de noticias mostradas',
+'bloc_sons_hasard_branche' => 'Sonidos de esta "branche" (secciÃ­n y sus subsecciones) al azar',
+'nombre_playlist' => 'NÃºmero de sonidos en la lista',
+'google-maps-rubrique' => 'Google map',
+'google-maps-article' => 'Google map',
+'bloc_proposer_lien' => 'Proponer un enlace',
+'diaporama-rubrique' => 'Diaporama de imÃ¡genes',
+'rubrique-head' => 'TÃ­tulo y logo de la secciÃ³n',
+'rubrique-texte' => 'Texto de la secciÃ³n',
+'liste-articles' => 'ArtÃ­culos de esta secciÃ³n',
+'liste-rubriques' => 'Subsecciones de esta secciÃ³n',
+'forum' => 'Foros',
+'galerie-image' => 'GalerÃ­a de imÃ¡genes',
+'galerie-audios-rub' => 'GalerÃ­a de audio',
+'galerie-audios' => 'GalerÃ­a de audio',
+'mots-cles' => 'Palabras clave de esta secciÃ³n',
+'liste-sites-motscles' => 'Sitios con la misma palabra clave',
+
+'galerie-swf' => 'GalerÃ­a de animaciones flash',
+'diaporama-article-flash' => 'Diaporama de animaciones flash',
+'autres-articles' => 'Otros artÃ­culos de la misma secciÃ³n',
+'article-head' => 'TÃ­tulo e informaciones del artÃ­culo',
+'article-texte' => 'Texto del artÃ­culo',
+'bloc-forum' => 'Foros',
+'galerie-videos' => 'GalerÃ­a de vÃ­deos',
+
+'groupe-autres-groupes' => 'Otros grupos de palabras clave',
+'groupe-head' => 'TÃ­tulo y logo del grupo',
+'groupe-texte' => 'Texto del grupo',
+'groupe-liste-mots' => 'Lista de palabras clave del grupo',
+'groupe-dernieres-entrees' => 'Ãltimas entradas el grupo',
+'liste-mots-cles' => 'Lista de todas las palabras clave',
+
+'404-head' => 'TÃ­tulo de la pÃ¡gina 404',
+'404-texte' => 'Texto de la pÃ¡gina 404',
+'auteur-ecrire' => 'Escribir al autor o autora',
+'auteur_autres_auteurs' => 'Lista de otros autores y autoras',
+'auteur-head' => 'TÃ­tulo de la pÃ¡gina',
+'auteur-info' => 'Informaciones sobre el autor o autora',
+'liste-articles-auteur' => 'Lista de los artÃ­culos del autor o autora',
+'bloc-login' => 'Formulario de login',
+'recherche-head' => 'TÃ­tulo de la bÃºsqueda',
+'recherche-articles' => 'ArtÃ­culos encontrados',
+'recherche-rubriques' => 'Secciones encontradas',
+'recherche-mots' => 'Palabras clave encontradas',
+'recherche-documents' => 'Documentos encontrados',
+'recherche-liens' => 'Enlaces encontrados',
+
+'liste-agenda' => 'Lista de eventos (artÃ­culos)',
+
+'abo-newsletter' => 'Inscribirse en los boletines',
+
+// a propos
+'a_propos' => 'Acerca de',
+'dernieres_infos' => 'Ãltimas informaciones',
+'sideinfo_about'=> 'Acerca de: buscar las Ãºltimas infos del plugin.',
+
+// page groupe
+'titre_up_rub_logo' => 'Logo del grupo',
+'invit_up_rub_logo' => 'Modificar el logo',
+'logo_actuel' => 'Logo actual',
+'intro_up_logo' => 'Cliquea sobre el botÃ³n "Selecciona el archivo" para aÃ±adir/modificar la cabecera de esta secciÃ³n',
+'supprimer_logo' => 'Supprimer le logo',
+
+//pages naviguer
+'associer_un_bloc_libre' => 'Asociarr un bloc libre',
+'associer_un_theme' => 'Asociar un tema',   
+'creer_bloc_et_associer' => 'Crear un nuevo bloc',   
+'ajouter' => 'AÃ±adir',
+'langue_bloc_assoc' => 'Idioma del bloc libre:',
+'langue_bloc' => 'Idioma del bloc libre:',
+'intro_associer_bloc_libre' => 'Asociar un bloc libre que ya exista a este entorno:',  
+'blocs_libres_deja_associes' => 'Blocs libres ya asociados a este entorno:',
+'intro_associer_gabarit' => 'Puedes elegir una plantilla especÃ­fica para esta pÃ¡gina.', 
+'choisissez_un_gabarit' => 'Elige una plantilla',
+'associer_un_gabarit' => 'Asociar una plantilla',
+'bouton_changer_gabarit' => 'Asociar esta plantilla',
+'editer_ce_gabarit' => 'Editar esta plantilla',
+'creer_gabarit_et_associer' => 'Crear plantilla y asociarla',
+'pas_de_page_associee' => 'No esta asociada a ninguna pÃ¡gina.'
+);
+?>
Index: trunk/spip/esqueleto-redcta/plugins/redCTA/plugin.xml
===================================================================
--- trunk/spip/esqueleto-redcta/plugins/redCTA/plugin.xml	(revision 352)
+++ trunk/spip/esqueleto-redcta/plugins/redCTA/plugin.xml	(revision 353)
@@ -4,8 +4,15 @@
  <prefix>demo</prefix>
  <auteur>El equipo de sistemas de Informacion de la Central de Trabajadores de la Argentina (CTA) [contacto->mailto:sistemas@cta.org.ar] _ [sitio->http://sistemas.cta.org.ar]</auteur>
- <description>Este plugin fue desarrollado para simplificar el proceso de instalacion de un nuevo SPIP y facilitar la comunicacion entre los usuarios de este CMS en nuestro servido. Es distribuido bajo la licencia GNU/GPL</description>
+ <description>Este plugin fue desarrollado para simplificar el proceso de instalacion de un nuevo SPIP y facilitar la comunicacion entre los usuarios de este CMS en nuestro servidor. Es distribuido bajo la licencia GNU/GPL</description>
  <icon>
-    redcta.png
+    images/redcta.png
  </icon>
+ <options>redcta_options.php</options>
+ <prefix>redcta</prefix>
+     <pipeline>
+        <nom>ajouter_boutons</nom>
+        <action>ajouterBoutons</action>
+        <inclure>redcta_boutons.php</inclure>
+    </pipeline> 
 
 </plugin>
Index: trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_boutons.php
===================================================================
--- trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_boutons.php	(revision 353)
+++ trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_boutons.php	(revision 353)
@@ -0,0 +1,10 @@
+<?php
+
+function redcta_ajouterBoutons($boutons_admin) {
+			$boutons_admin['configuration']->sousmenu['theme'] = new Bouton(
+      "../"._DIR_PLUGIN_REDCTA."images/redcta.png",  // icone
+			_T('redcta:options_redcta')	// titre
+      );
+			return $boutons_admin;
+}
+?>
Index: trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_options.php
===================================================================
--- trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_options.php	(revision 353)
+++ trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_options.php	(revision 353)
@@ -0,0 +1,45 @@
+<?php
+/***************************************************************************\
+ Plugin   : redCTA
+ Licence  : GPL
+ Auteurs  : Guillermo Acedo
+ Infos    : http://spip.redcta.org.ar
+
+
+ $LastChangedRevision: 1 $
+ $LastChangedBy: guille $
+ $LastChangedDate: 2009-08-09  (ven, 21 mar 2008) $
+ \***************************************************************************/
+
+session_start();
+if (!isset($_SESSION['id_check'])) {
+	$_SESSION['id_check'] = uniqid(rand());
+}
+
+$p=explode(basename(_DIR_PLUGINS)."/",str_replace('\\','/',realpath(dirname(__FILE__))));
+define('_DIR_PLUGIN_REDCTA',(_DIR_PLUGINS.end($p)));
+
+$forcer_lang = true;
+// pour free : tester si on est en admin privee ou publique
+//if (!ereg("^\.\.", _DIR_PLUGIN_REDCTA)) {
+//	$GLOBALS['dossier_squelettes'] = implode(":", Array(
+//'pages-custom',
+//	_DIR_PLUGIN_ARTY.'/squelettes',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/logos',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/galeries',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/article',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/rubrique',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/sommaire',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/404',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/mot',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/recherche',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/login',
+//	_DIR_PLUGIN_ARTY.'/squelettes/blocs/groupe'
+//	));
+//}
+// structure des tables
+
+//include_spip("base/tables_magusine");
+
+?>
Index: trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_pipeline.php
===================================================================
--- trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_pipeline.php	(revision 353)
+++ trunk/spip/esqueleto-redcta/plugins/redCTA/redcta_pipeline.php	(revision 353)
@@ -0,0 +1,4 @@
+<?php
+
+
+?>