Index: trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml
===================================================================
--- trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml	(revision 355)
+++ trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml	(revision 355)
@@ -0,0 +1,181 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE greeter SYSTEM "greeter.dtd">
+<greeter>
+
+<!--Background -->
+<item type="pixmap">
+    	<normal file="bg.jpg"/> 
+<!--	<normal color="#000000"/> -->
+    	<pos x="0" y="0" width="100%" height="100%"/>
+</item>
+
+<!--Clock -->
+<item type="label" id="clock">
+    	<normal color="#999999" font="Sans 12"/>
+    	<pos anchor="c" x="10%" y="90.5%" />
+    	<text>%c</text>
+</item>
+
+<item type="rect">
+    	<show type="timed"/>
+    	<normal color="#ffffff" alpha="0.5"/>
+    	<pos anchor="c" x="50%" y="35%" width="box" height="box"/>
+    	<box orientation="vertical" min-width="400" xpadding="10" ypadding="5" spacing="0">
+      		<item type="label" id="timed-label">
+        	<normal color="#ffffff" font="Sans 12"/>
+        	<pos x="50%" anchor="n"/>
+		<!-- Stock label for: User %s will login in %d seconds -->
+		<stock type="timed-label"/>
+      		</item>
+    	</box>
+</item>
+
+<!--Login -->
+<item type="rect">
+    <normal color="#ffffff" alpha="0"/>
+    <pos anchor="c" x="50%" y="8%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="30" ypadding="30" spacing="10">
+
+<!--
+      	<item type="label">
+        	<pos anchor="c" x="50%" y="25%"/>
+        	<normal color="#999999" font="Sans 22"/>
+		<stock type="welcome-label"/>
+      	</item>
+-->
+      	<item type="label" id="pam-prompt">
+        	<pos anchor="c" x="50%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+		<!-- Stock label for: Username: -->
+		<stock type="username-label"/>
+      	</item>
+
+      	<item type="rect">
+		<normal color="#333333"/>
+        	<pos anchor="c" x="50%" height="20" width="60%"/>
+		<fixed>
+	  		<item type="entry" id="user-pw-entry">
+            			<normal color="#333333" font="Sans 12"/>
+            			<pos anchor="nw" x="1" y="1" height="-2" width="-2"/>
+	  		</item>
+		</fixed>
+      	</item>
+
+	<item type="rect" id="caps-lock-warning">
+    		<normal color="#FFFFFF" alpha="0"/>
+    		<pos anchor="c" x="50%" y="50%" width="box" height="box"/>
+    		<box orientation="vertical" min-width="380" xpadding="10" ypadding="0" spacing="0">
+      			<item type="label">
+        			<normal color="#666666" font="Sans 10"/>
+        			<pos x="50%" anchor="n"/>
+				<!-- Stock label for: You've got capslock on! -->
+				<stock type="caps-lock-warning"/>
+      			</item>
+    		</box>
+  	</item>  
+
+    </box>     
+</item>
+
+
+<item type="rect">
+    <normal color="#000000" alpha="0.5"/>
+    <pos anchor="c" x="10%" y="20%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="10" ypadding="10" spacing="0">
+
+<!--
+        <item type="label">
+                <pos anchor="c" x="50%" y="25%"/>
+                <normal color="#999999" font="Sans 22"/>
+                <stock type="welcome-label"/>
+        </item>
+-->
+       <item type="rect">
+                <normal color="#ffffff" alpha="0"/>
+                <pos anchor="c" x="0%" y="50%" width="300" height="box" expand="true"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Language -->
+                                <stock type="language"/>
+                                </item>
+                        </box>
+        </item>
+
+        <item type="rect" id="system_button" button="true">
+                <normal color="#ffffff" alpha="0"/>
+                <show modes="console" type="system"/>
+                <pos y="45" anchor="w" width="box" height="box"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Actions -->
+                                <stock type="system"/>
+                                </item>
+                        </box>
+        </item>
+       <item type="rect" id="session_button" button="true">
+                <normal color="#ffffff" alpha="0"/>
+                <pos y="45" anchor="w" width="box" height="box"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Session -->
+                                <stock type="session"/>
+                                </item>
+                        </box>
+        </item>
+
+        <item type="rect" id="disconnect_button" button="true">
+                <normal color="#ffffff" alpha="0"/>
+                <show modes="flexi,remote"/>
+                <pos y="45" anchor="w" width="box" height="box"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: D_isconnect -->
+                                <stock type="disconnect"/>
+                                <show modes="remote"/>
+                                </item>
+
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Quit -->
+                                <stock type="quit"/>
+                                <show modes="flexi"/>
+                                </item>
+                        </box>
+        </item>
+
+
+   </box>
+</item>
+
+
+<!--
+    	<fixed>
+      		<item type="label" id="pam-error">
+        	<pos anchor="c" x="50%" y="50%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+        	<text></text>
+      		</item>
+    	</fixed>
+-->
+</greeter>
+
+
Index: trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml-backup-broken
===================================================================
--- trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml-backup-broken	(revision 355)
+++ trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml-backup-broken	(revision 355)
@@ -0,0 +1,189 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE greeter SYSTEM "greeter.dtd">
+<greeter>
+
+<!--Background -->
+<item type="pixmap">
+    	<normal file="bg.jpg"/>
+    	<pos x="0" y="0" width="100%" height="100%"/>
+</item>
+
+<!--Login window
+<item type="pixmap">
+	<normal file="login.png"/>
+	<pos anchor="c" x="50%" y="50%"/>
+</item>
+-->
+
+
+<!--Clock -->
+<item type="label" id="clock">
+    	<normal color="#c0c0c0" font="Sans 12"/>
+    	<pos anchor="c" x="10%" y="90.5%" />
+    	<text>%c</text>
+</item>
+
+<item type="rect">
+    	<show type="timed"/>
+    	<normal color="#ffffff" alpha="0.5"/>
+    	<pos anchor="c" x="50%" y="35%" width="box" height="box"/>
+    	<box orientation="vertical" min-width="400" xpadding="10" ypadding="5" spacing="0">
+      		<item type="label" id="timed-label">
+        	<normal color="#ffffff" font="Sans 12"/>
+        	<pos x="50%" anchor="n"/>
+		<!-- Stock label for: User %s will login in %d seconds -->
+		<stock type="timed-label"/>
+      		</item>
+    	</box>
+</item>
+
+<!--Login -->
+<item type="rect">
+    <normal color="#FF0000" alpha="0"/>
+    <pos anchor="c" x="50%" y="7.5%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="30" ypadding="30" spacing="10">
+
+<!--
+      	<item type="label">
+        	<pos anchor="c" x="50%" y="5%"/>
+        	<normal color="#999999" font="Sans 22"/>
+		<stock type="welcome-label"/>
+      	</item>
+-->
+      	<item type="label" id="pam-prompt">
+        	<pos anchor="c" x="50%" y="15%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+		<!-- Stock label for: Username: -->
+		<stock type="username-label"/>
+      	</item>
+
+      	<item type="rect">
+		<normal color="#333333"/>
+        	<pos anchor="n" x="50%" height="18" width="40%"/>
+		<fixed>
+	  		<item type="entry" id="user-pw-entry">
+            			<normal color="#333333" font="Sans 10"/>
+            			<pos anchor="nw" x="1" y="1" height="-2" width="-2"/>
+	  		</item>
+		</fixed>
+      	</item>
+
+	<item type="rect" id="caps-lock-warning">
+    		<normal color="#FFFFFF" alpha="0"/>
+    		<pos anchor="c" x="50%" y="5%" width="box" height="box"/>
+    		<box orientation="vertical" min-width="380" xpadding="10" ypadding="0" spacing="0">
+      			<item type="label">
+        			<normal color="#666666" font="Sans 10"/>
+        			<pos x="50%" anchor="n"/>
+				<!-- Stock label for: You've got capslock on! -->
+				<stock type="caps-lock-warning"/>
+      			</item>
+    		</box>
+  	</item>  
+
+   </box>
+</item>
+
+<!-- </box> -->
+
+<!--Login -->
+<item type="rect">
+    <normal color="#FF0000" alpha="0"/>
+    <pos anchor="c" x="50%" y="7.5%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="30" ypadding="30" spacing="10">
+     
+    	<!-- all possible actions -->
+      	<item type="rect">
+    		<normal color="#ffffff" alpha="0"/>
+    		<pos anchor="c" x="10%" y="10%" width="300" height="box" expand="true"/>
+    			<box xpadding="5" ypadding="5" spacing="5" orientation="horizontal" homogeneous="true"> 
+          			<item type="rect" id="language_button" button="true">
+            			<normal color="#ffffff" alpha="0"/>
+	    			<pos y="45" anchor="w" width="box" height="box"/>
+
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: _Language -->
+				<stock type="language"/>
+	      			</item>
+            		</box>
+	</item>
+
+	<item type="rect" id="session_button" button="true">
+        	<normal color="#ffffff" alpha="0"/>
+		<pos y="45" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: _Session -->
+				<stock type="session"/>
+	      			</item>
+            		</box>
+	</item>
+
+        <item type="rect" id="system_button" button="true">
+            	<normal color="#ffffff" alpha="0"/>
+	    	<show modes="console" type="system"/>
+	    	<pos y="45" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: _Actions -->
+				<stock type="system"/>
+	      			</item>
+            		</box>
+	</item>
+
+        <item type="rect" id="disconnect_button" button="true">
+            	<normal color="#ffffff" alpha="0"/>
+	    	<show modes="flexi,remote"/>
+	    	<pos y="45" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: D_isconnect -->
+				<stock type="disconnect"/>
+	        		<show modes="remote"/>
+	      			</item>
+
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: _Quit -->
+				<stock type="quit"/>
+	        		<show modes="flexi"/>
+	      			</item>
+           		</box>
+	</item>
+
+   </box>
+</item>
+      
+
+    	<fixed>
+      		<item type="label" id="pam-error">
+        	<pos anchor="c" x="50%" y="2%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+        	<text></text>
+      		</item>
+    	</fixed>
+</item>
+
+</greeter>
+
+
Index: trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml-not-bad
===================================================================
--- trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml-not-bad	(revision 355)
+++ trunk/login-themes/carpani-cta/Carpani-CTA-gdm.xml-not-bad	(revision 355)
@@ -0,0 +1,180 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE greeter SYSTEM "greeter.dtd">
+<greeter>
+
+<!--Background -->
+<item type="rect">
+<!--    	<normal file="bg.jpg"/> -->
+	<normal color="#000000"/>
+    	<pos x="0" y="0" width="100%" height="100%"/>
+</item>
+
+<!--Clock -->
+<item type="label" id="clock">
+    	<normal color="#999999" font="Sans 12"/>
+    	<pos anchor="c" x="10%" y="90.5%" />
+    	<text>%c</text>
+</item>
+
+<item type="rect">
+    	<show type="timed"/>
+    	<normal color="#ffffff" alpha="0.5"/>
+    	<pos anchor="c" x="50%" y="35%" width="box" height="box"/>
+    	<box orientation="vertical" min-width="400" xpadding="10" ypadding="5" spacing="0">
+      		<item type="label" id="timed-label">
+        	<normal color="#ffffff" font="Sans 12"/>
+        	<pos x="50%" anchor="n"/>
+		<!-- Stock label for: User %s will login in %d seconds -->
+		<stock type="timed-label"/>
+      		</item>
+    	</box>
+</item>
+
+<!--Login -->
+<item type="rect">
+    <normal color="#FFFFFF" alpha="0"/>
+    <pos anchor="c" x="50%" y="10.5%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="30" ypadding="30" spacing="10">
+
+<!--
+      	<item type="label">
+        	<pos anchor="c" x="50%" y="25%"/>
+        	<normal color="#999999" font="Sans 22"/>
+		<stock type="welcome-label"/>
+      	</item>
+-->
+      	<item type="label" id="pam-prompt">
+        	<pos anchor="c" x="50%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+		<!-- Stock label for: Username: -->
+		<stock type="username-label"/>
+      	</item>
+
+      	<item type="rect">
+		<normal color="#333333"/>
+        	<pos anchor="c" x="50%" height="20" width="60%"/>
+		<fixed>
+	  		<item type="entry" id="user-pw-entry">
+            			<normal color="#333333" font="Sans 12"/>
+            			<pos anchor="nw" x="1" y="1" height="-2" width="-2"/>
+	  		</item>
+		</fixed>
+      	</item>
+
+	<item type="rect" id="caps-lock-warning">
+    		<normal color="#FFFFFF" alpha="0"/>
+    		<pos anchor="c" x="50%" y="50%" width="box" height="box"/>
+    		<box orientation="vertical" min-width="380" xpadding="10" ypadding="0" spacing="0">
+      			<item type="label">
+        			<normal color="#666666" font="Sans 10"/>
+        			<pos x="50%" anchor="n"/>
+				<!-- Stock label for: You've got capslock on! -->
+				<stock type="caps-lock-warning"/>
+      			</item>
+    		</box>
+  	</item>  
+
+    </box>     
+</item>
+
+
+<item type="rect">
+    <normal color="#FFFFFF" alpha="0.5"/>
+    <pos anchor="c" x="60%" y="40%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="10" ypadding="10" spacing="0">
+
+        <item type="label">
+                <pos anchor="c" x="50%" y="25%"/>
+                <normal color="#999999" font="Sans 22"/>
+                <stock type="welcome-label"/>
+        </item>
+
+       <item type="rect">
+                <normal color="#ffffff" alpha="0"/>
+                <pos anchor="c" x="50%" y="50%" width="300" height="box" expand="true"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Language -->
+                                <stock type="language"/>
+                                </item>
+                        </box>
+        </item>
+
+        <item type="rect" id="system_button" button="true">
+                <normal color="#ffffff" alpha="0"/>
+                <show modes="console" type="system"/>
+                <pos y="45" anchor="w" width="box" height="box"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Actions -->
+                                <stock type="system"/>
+                                </item>
+                        </box>
+        </item>
+       <item type="rect" id="session_button" button="true">
+                <normal color="#ffffff" alpha="0"/>
+                <pos y="45" anchor="w" width="box" height="box"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Session -->
+                                <stock type="session"/>
+                                </item>
+                        </box>
+        </item>
+
+        <item type="rect" id="disconnect_button" button="true">
+                <normal color="#ffffff" alpha="0"/>
+                <show modes="flexi,remote"/>
+                <pos y="45" anchor="w" width="box" height="box"/>
+                        <box orientation="horizontal" spacing="5" xpadding="10">
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: D_isconnect -->
+                                <stock type="disconnect"/>
+                                <show modes="remote"/>
+                                </item>
+
+                                <item type="label">
+                                <normal color="#ffffff" font="Sans 9"/>
+                                <prelight color="#efefef" font="Sans 9"/>
+                                <active color="#333333" font="Sans 9"/>
+                                <pos y="50%" anchor="w"/>
+                                <!-- Stock label for: _Quit -->
+                                <stock type="quit"/>
+                                <show modes="flexi"/>
+                                </item>
+                        </box>
+        </item>
+
+
+   </box>
+</item>
+
+
+<!--
+    	<fixed>
+      		<item type="label" id="pam-error">
+        	<pos anchor="c" x="50%" y="50%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+        	<text></text>
+      		</item>
+    	</fixed>
+-->
+</greeter>
+
+
Index: trunk/login-themes/carpani-cta/GdmGreeterTheme.desktop
===================================================================
--- trunk/login-themes/carpani-cta/GdmGreeterTheme.desktop	(revision 355)
+++ trunk/login-themes/carpani-cta/GdmGreeterTheme.desktop	(revision 355)
@@ -0,0 +1,9 @@
+[GdmGreeterTheme]
+Encoding=UTF-8
+Greeter=Carpani-CTA-gdm.xml
+Name=Carpani-CTA
+Name[es]=Carpani-CTA
+Description=Theme de GDM a la Carpani
+Author=Sebastien Grenier
+Copyright=GPL Sebastien Grenier
+Screenshot=screenshot.png
Index: trunk/login-themes/carpani-cta/bg.jpg
===================================================================
--- trunk/login-themes/carpani-cta/bg.jpg	(revision 355)
+++ trunk/login-themes/carpani-cta/bg.jpg	(revision 355)
@@ -0,0 +1,1 @@
+link /dist/svn-redcta/login-themes/wpiedras-login-fondo.jpg