Index: /trunk/puppet/manifests/classes/webapps.pp
===================================================================
--- /trunk/puppet/manifests/classes/webapps.pp	(revision 368)
+++ /trunk/puppet/manifests/classes/webapps.pp	(revision 369)
@@ -11,7 +11,7 @@
     package { [ "php5-mysql", "php5-gd", "php5-mcrypt", "php5-cli" ]: ensure => installed }
 
-    include mysql-server
+#    include mysql-server
 
-    preseed_package { "phpmyadmin" : ensure => present }
+#    preseed_package { "phpmyadmin" : ensure => present }
 
 }
Index: /trunk/puppet/manifests/node-prod-servidores.pp
===================================================================
--- /trunk/puppet/manifests/node-prod-servidores.pp	(revision 368)
+++ /trunk/puppet/manifests/node-prod-servidores.pp	(revision 369)
@@ -1,2 +1,66 @@
+node chavez {
+    include test_class
+
+    include svn
+
+    svn::checkout { chavez-preseed:
+       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
+       local_path => "/var/www",
+       local_name => "preseed",
+    }
+
+    cronapt::mailon-mailto { dist:
+       mailon => "upgrade",
+       mailto => "security@localhost"
+    }
+
+    include debproxy::server
+
+    include webapps-php
+
+    include utile-cli
+
+}
+
+node guevara {
+    include test_class
+    include utile-cli
+
+    debproxy::activateclient { dist:
+       debproxyhost => "debproxy",
+    }
+
+    package {
+         [ "util-vserver" ]: ensure => installed;
+     }
+
+    package {
+	[ "cryptsetup"]: ensure => installed;
+    }
+
+    file { "/etc/crypttab":
+        owner => root,
+        group => root,
+        mode => 644,
+        source => "puppet:///files/guevara/crypttab"
+    }
+
+    file { ["/backup"]:
+      ensure => directory,
+      owner => "root", group => "root", mode => "770"
+    }
+
+     mount { "/backup":
+         atboot   => false,
+         device   => "/dev/mapper/backup-crypto",
+         ensure   => mounted,
+         fstype   => "ext3",
+         remounts => false,
+         options  => "rw,suid,dev,exec,noauto,nouser,async",
+	require => file["/backup"],
+     }
+
+}
+
 node evo {
     include test_class
Index: /trunk/puppet/manifests/walsh.pp
===================================================================
--- /trunk/puppet/manifests/walsh.pp	(revision 369)
+++ /trunk/puppet/manifests/walsh.pp	(revision 369)
@@ -0,0 +1,139 @@
+node walsh {
+    include dyndns
+
+    include cups::browse
+    include ubuntu::optimizacion
+
+    include utile-cli
+
+    debproxy::activateclient { dist:
+       debproxyhost => "debproxy-ubuntu",
+    }
+
+    cronapt::mailon-mailto { dist:
+       mailon => "upgrade",
+       mailto => "seguridad@localhost"
+    }
+
+    include estacion-de-trabajo
+
+    ubuntufirefox::startuppage { dist:
+       startuppage => "http://www.sedenacional.cta.org.ar",
+    }
+
+    include ltsp::updateclient::piloto
+
+    ltsp::buildclient { dist:
+        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
+        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
+    }
+
+    include ltsp::tftpdhpa::activate
+
+    include matrix::ldapauthclient
+
+    # mount samba shared
+    package {
+         [ "smbfs" ]: ensure => installed;
+     }
+
+    file { ["/home"]:
+      ensure => directory,
+      owner => "root", group => "root", mode => "755"
+    }
+    file { ["/home/sedenacional-prensa"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-prensa", mode => "770"
+    }
+
+    file { ["/home/sedenacional-internacional"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-internacional", mode => "770"
+    }
+
+    file { ["/home/sedenacional-observatorio"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-observatorio", mode => "770"
+    }
+
+    file { ["/home/sedenacional-genero"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-genero", mode => "770"
+    }
+
+    file { ["/home/sedenacional-bloquegremial"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-bloquegremial", mode => "770"
+    }
+
+    file { ["/home/sedenacional-sistemas"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-sistemas", mode => "770"
+    }
+
+    file { ["/home/sedenacional-maquinavirtual"]:
+      ensure => directory,
+      owner => "root", group => "sedenacional-sistemas", mode => "775"
+    }
+
+     mount { "/home/sedenacional-prensa":
+         atboot   => true,
+         device   => "//tupac/prensa",
+         ensure   => mounted,
+         fstype   => "smbfs",
+	 remounts => false,
+	 options  => "credentials=/root/smb-prensa,dir_mode=0770,gid=10048,iocharset=utf8",
+         require  => package["smbfs"],
+     }
+
+     mount { "/home/sedenacional-internacional":
+         atboot   => true,
+         device   => "//tupac/internacional",
+         ensure   => mounted,
+         fstype   => "smbfs",
+         remounts => false,
+         options  => "credentials=/root/smb-internacional,dir_mode=0770,gid=10049,iocharset=utf8",
+         require  => package["smbfs"],
+     }
+
+     mount { "/home/sedenacional-observatorio":
+         atboot   => true,
+         device   => "//tupac/observatorio",
+         ensure   => mounted,
+         fstype   => "smbfs",
+         remounts => false,
+         options  => "credentials=/root/smb-observatorio,dir_mode=0770,gid=10050,iocharset=utf8",
+         require  => package["smbfs"],
+     }
+
+     mount { "/home/sedenacional-genero":
+         atboot   => true,
+         device   => "//tupac/genero",
+         ensure   => mounted,
+         fstype   => "smbfs",
+         remounts => false,
+         options  => "credentials=/root/smb-genero,dir_mode=0770,gid=10051,iocharset=utf8",
+         require  => package["smbfs"],
+     }
+
+     mount { "/home/sedenacional-bloquegremial":
+         atboot   => true,
+         device   => "//tupac/bloquegremial",
+         ensure   => mounted,
+         fstype   => "smbfs",
+         remounts => false,
+         options  => "credentials=/root/smb-bloquegremial,dir_mode=0770,gid=10054,iocharset=utf8",
+         require  => package["smbfs"],
+     }
+
+     mount { "/home/sedenacional-sistemas":
+         atboot   => true,
+         device   => "//tupac/sistemas",
+         ensure   => mounted,
+         fstype   => "smbfs",
+         remounts => false,
+         options  => "credentials=/root/smb-sistemas,dir_mode=0770,gid=10047,iocharset=utf8",
+         require  => package["smbfs"],
+     }
+
+}