Index: trunk/puppet/modules/di_netboot_assistant/files/di-sources.list
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/files/di-sources.list	(revision 379)
+++ trunk/puppet/modules/di_netboot_assistant/files/di-sources.list	(revision 379)
@@ -0,0 +1,101 @@
+#di-netboot-assistant v0.3 sources file
+#
+#Format: Each must contain four fields, separated by single tabulation.
+# 1st field: An arbitraty repository name (must match "[[:alnum:]_\.-]+")
+# 2nd field: The architecture (debian's architecture name)
+# 3rd field: The base URL to download files from (it should contain 
+#            a debian-installer folder)
+#            (If you want to use a mirror, have a look at MIRROR_REGEXPS in
+#            the file di-netboot-assistant.conf to rewrite the URL)
+# 4th field: That path to the actual netboot archive (or .img) file.
+#            (relative to the "base URL" above).
+# Lines _starting_ with a "#" are considered as comments and are ignored.
+# Empty lines are ignored too.
+
+#Debian/Stable (( http://www.debian.org/distrib/netinst#netboot ))
+stable	alpha	http://ftp.debian.org/dists/stable/main/installer-alpha/current/images/	netboot/boot.img
+stable	amd64	http://ftp.debian.org/dists/stable/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+stable	hppa	http://ftp.debian.org/dists/stable/main/installer-hppa/current/images/	netboot/2.6/netboot.tar.gz
+stable	i386	http://ftp.debian.org/dists/stable/main/installer-i386/current/images/	netboot/netboot.tar.gz
+stable	ia64	http://ftp.debian.org/dists/stable/main/installer-ia64/current/images/	netboot/netboot.tar.gz
+#Debian/Stable:Etch has two sparc images 
+stable	sparc32	http://ftp.debian.org/dists/stable/main/installer-sparc/current/images/	sparc32/netboot/2.6/boot.img
+stable	sparc64	http://ftp.debian.org/dists/stable/main/installer-sparc/current/images/	sparc64/netboot/2.6/boot.img
+#Debian/Stable:(for Lenny+) only supports sparc64 images 
+stable	sparc	http://ftp.debian.org/dists/stable/main/installer-sparc/current/images/	sparc/netboot/boot.img
+
+stable-gtk	amd64	http://ftp.debian.org/dists/stable/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
+stable-gtk	i386	http://ftp.debian.org/dists/stable/main/installer-i386/current/images/	netboot/gtk/netboot.tar.gz
+
+#debian/Etch
+etch	alpha	http://ftp.debian.org/dists/etch/main/installer-alpha/current/images/	netboot/boot.img
+etch	amd64	http://ftp.debian.org/dists/etch/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+etch	hppa	http://ftp.debian.org/dists/etch/main/installer-hppa/current/images/	netboot/2.6/boot.img
+etch	i386	http://ftp.debian.org/dists/etch/main/installer-i386/current/images/	netboot/netboot.tar.gz
+etch	ia64	http://ftp.debian.org/dists/etch/main/installer-ia64/current/images/	netboot/netboot.tar.gz
+etch	sparc32	http://ftp.debian.org/dists/etch/main/installer-sparc/current/images/	sparc32/netboot/2.6/boot.img
+etch	sparc64	http://ftp.debian.org/dists/etch/main/installer-sparc/current/images/	sparc64/netboot/2.6/boot.img
+
+etch-gtk	amd64	http://ftp.debian.org/dists/etch/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
+etch-gtk	i386	http://ftp.debian.org/dists/etch/main/installer-i386/current/images/	netboot/gtk/netboot.tar.gz
+
+#Debian/Lenny
+lenny	alpha	http://ftp.debian.org/dists/lenny/main/installer-alpha/current/images/	netboot/boot.img
+lenny	amd64	http://ftp.debian.org/dists/lenny/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+lenny	hppa	http://ftp.debian.org/dists/lenny/main/installer-hppa/current/images/	netboot/2.6/boot.img
+lenny	i386	http://ftp.debian.org/dists/lenny/main/installer-i386/current/images/	netboot/netboot.tar.gz
+lenny	ia64	http://ftp.debian.org/dists/lenny/main/installer-ia64/current/images/	netboot/netboot.tar.gz
+lenny	sparc	http://ftp.debian.org/dists/lenny/main/installer-sparc/current/images/	netboot/boot.img
+
+lenny-gtk	amd64	http://ftp.debian.org/dists/lenny/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
+lenny-gtk	i386	http://ftp.debian.org/dists/lenny/main/installer-i386/current/images/	netboot/gtk/netboot.tar.gz
+
+# DEVELOPMENT (( http://www.debian.org/devel/debian-installer/ ))
+
+#beta1 or beta2 or beta3 or rc1 or rc2
+testing	alpha	http://ftp.debian.org/dists/testing/main/installer-alpha/current/images/	netboot/boot.img
+testing	amd64	http://ftp.debian.org/dists/testing/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+testing	hppa	http://ftp.debian.org/dists/testing/main/installer-hppa/current/images/	netboot/2.6/boot.img
+testing	i386	http://ftp.debian.org/dists/testing/main/installer-i386/current/images/	netboot/netboot.tar.gz
+testing	ia64	http://ftp.debian.org/dists/testing/main/installer-ia64/current/images/	netboot/netboot.tar.gz
+testing	sparc	http://ftp.debian.org/dists/testing/main/installer-sparc/current/images/	netboot/boot.img
+
+testing-gtk	amd64	http://ftp.debian.org/dists/testing/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
+testing-gtk	i386	http://ftp.debian.org/dists/testing/main/installer-i386/current/images/	netboot/gtk/netboot.tar.gz
+
+
+#Daily netboot DI images. Read :
+#     *   http://people.debian.org/~joeyh/d-i/build-logs.html
+#     *   http://wiki.debian.org/DebianInstaller/Today
+daily	alpha	http://people.debian.org/~vorlon/d-i/alpha/daily/	netboot/boot.img
+daily	amd64	http://people.debian.org/~aba/d-i/images/daily/	netboot/netboot.tar.gz
+daily	hppa	http://people.debian.org/~kyle/d-i/hppa/daily/	netboot/2.6/boot.img
+daily	i386	http://people.debian.org/~joeyh/d-i/images/daily/	netboot/netboot.tar.gz
+daily	ia64	http://people.debian.org/~dannf/d-i/images/daily/	netboot/netboot.tar.gz
+daily	sparc	http://people.debian.org/~stappers/d-i/sparc/daily/	netboot/boot.img
+
+daily-gtk	amd64	http://people.debian.org/~aba/d-i/images/daily/	netboot/gtk/netboot.tar.gz
+daily-gtk	i386	http://people.debian.org/~joeyh/d-i/images/daily/	netboot/gtk/netboot.tar.gz
+
+
+
+#Â ############ Some Debian Derivatives (Ubuntu) ################ #
+
+#Ubuntu Dapper 6.06
+dapper	i386	http://archive.ubuntu.com/ubuntu/dists/dapper-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
+dapper	amd64	http://archive.ubuntu.com/ubuntu/dists/dapper-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+
+#Ubuntu Hardy 8.04
+hardy	i386	http://archive.ubuntu.com/ubuntu/dists/hardy-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
+hardy	amd64	http://archive.ubuntu.com/ubuntu/dists/hardy-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+
+#Ubuntu Intrepid 8.10
+intrepid	i386	http://archive.ubuntu.com/ubuntu/dists/intrepid-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
+intrepid	amd64	http://archive.ubuntu.com/ubuntu/dists/intrepid-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+
+#Ubuntu Jaunty 9.04
+jaunty	i386	http://archive.ubuntu.com/ubuntu/dists/jaunty/main/installer-i386/current/images/	netboot/netboot.tar.gz
+jaunty	amd64	http://archive.ubuntu.com/ubuntu/dists/jaunty/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+
+
+# vim: ft=disources
Index: trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD	(revision 379)
+++ trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD	(revision 379)
@@ -0,0 +1,41 @@
+## Run "di-netboot-assistant rebuild-menu" when you modify
+## this file.
+##
+#KBDMAP pxelinux/french.kbd
+
+SAY (Press enter to display Debian-Installer overview menu)
+DEFAULT terminal
+PROMPT 1
+TIMEOUT 50
+
+MENU TITLE Debian-Installer netboot overview menu
+
+#A sample entry, with your prefered settings
+#LABEL quick
+#       MENU LABEL Debian Installer (Lenny ; i386 + Preseed)
+#       kernel debian-installer/lenny/i386/linux  
+#       append initrd=debian-installer/lenny/i386/initrd.gz ethdetect/use_firewire_ethernet=no locale=en_US console-keymaps-at/keymap=fr-latin1 vga=normal  --
+#       #or#
+#       #append initrd=debian-installer/lenny-gtk/i386/initrd.gz ethdetect/use_firewire_ethernet=no locale=en_US console-keymaps-at/keymap=fr-latin1 video=vesa:ywrap,mtrr vga=788  --
+#       # url=192.168.0.10 auto-install/enable=true 
+
+# ########################################################################
+
+LABEL terminal
+        KERNEL ltsp/i386/vmlinuz
+        APPEND ro initrd=ltsp/i386/initrd.img quiet splash
+
+LABEL 9.04
+       MENU LABEL 9.04 : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty ; i386 + Preseed)
+       kernel debian-installer/jaunty/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://10.0.0.8/preseed/ubuntu-904-desktop.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+
+LABEL 9.04-ltsp
+       MENU LABEL 9.04-ltsp : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty LTSP ; i386 + Preseed)
+       kernel debian-installer/jaunty/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://10.0.0.8/preseed/ubuntu-904-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+
+LABEL menu
+        MENU HIDE
+        KERNEL debian-installer/pxelinux.cfg/menu.c32
+
Index: trunk/puppet/modules/di_netboot_assistant/manifests/init.pp
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 379)
+++ trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 379)
@@ -0,0 +1,36 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+
+class di_netboot_assistant {
+
+# sources.list with the lastest Ubuntu releases
+   file { "/etc/di-netboot-assistant/di-sources.list":
+      owner => root,
+      group => root,
+      mode => 644,
+      source => "puppet:///di_netboot_assistant/di-sources.list"
+   }
+
+# some customization of the pxe menu
+   file { "/etc/di-netboot-assistant/pxelinux.HEAD":
+      owner => root,
+      group => root,
+      mode => 644,
+      source => "puppet:///di_netboot_assistant/pxelinux.HEAD"
+   }
+
+
+
+## todo: parse the configurations and a preseed...
+# add the repo for hardy and jaunty
+# put the pxelinux.head.HEAD before executing the following
+# exec : di-netboot-assistant (--verbose --offline) install jaunty --arch=amd64,i386
+# exec : di-netboot-assistant (--verbose --offline) install hardy --arch=amd64,i386
+# exec : di-netboot-assistant (--verbose --offline) install lenny --arch=amd64,i386
+#
+
+    package { [ "di-netboot-assistant" ]: ensure => installed }
+
+}