Index: /trunk/puppet/modules/oo3_default_fileformat/files/Setup-calc.xcu
===================================================================
--- /trunk/puppet/modules/oo3_default_fileformat/files/Setup-calc.xcu	(revision 387)
+++ /trunk/puppet/modules/oo3_default_fileformat/files/Setup-calc.xcu	(revision 387)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:install="http://openoffice.org/2004/installation" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" oor:name="Setup" oor:package="org.openoffice">
+  <node oor:name="Office">
+    <node oor:name="Factories">
+      <node oor:name="com.sun.star.sheet.SpreadsheetDocument" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.sheet.SpreadsheetDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>CalcCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>calc8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true">
+          <value>calc8_template</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>MS Excel 97</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/scalc</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowAttributes">
+          <value>,,,;4;</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>4</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryTemplateFile">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>scalc</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value>Calc</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>CalcWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
Index: /trunk/puppet/modules/oo3_default_fileformat/files/Setup-impress.xcu
===================================================================
--- /trunk/puppet/modules/oo3_default_fileformat/files/Setup-impress.xcu	(revision 387)
+++ /trunk/puppet/modules/oo3_default_fileformat/files/Setup-impress.xcu	(revision 387)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:install="http://openoffice.org/2004/installation" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" oor:name="Setup" oor:package="org.openoffice">
+  <node oor:name="Office">
+    <node oor:name="Factories">
+      <node oor:name="com.sun.star.presentation.PresentationDocument" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.presentation.PresentationDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>DrawImpressCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>impress8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true">
+          <value>impress8_template</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>MS PowerPoint 97</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/simpress</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowAttributes">
+          <value>,,,;4;</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryTemplateFile">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>simpress</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value>Impress</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>ImpressWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
Index: /trunk/puppet/modules/oo3_default_fileformat/files/Setup-writer.xcu
===================================================================
--- /trunk/puppet/modules/oo3_default_fileformat/files/Setup-writer.xcu	(revision 387)
+++ /trunk/puppet/modules/oo3_default_fileformat/files/Setup-writer.xcu	(revision 387)
@@ -0,0 +1,195 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:install="http://openoffice.org/2004/installation" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" oor:name="Setup" oor:package="org.openoffice">
+  <node oor:name="Office">
+    <node oor:name="Factories">
+      <node oor:name="com.sun.star.text.GlobalDocument" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.text.GlobalDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>WriterCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>writerglobal8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true"/>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>writerglobal8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/swriter/GlobalDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowAttributes">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>11</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryTemplateFile">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>sglobal</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value>Writer</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>WriterGlobalWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+      <node oor:name="com.sun.star.text.TextDocument" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.text.TextDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>WriterCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true">
+          <value>writer8_template</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>MS Word 97</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/swriter</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowAttributes">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>2</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryTemplateFile">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>swriter</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value>Writer</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>WriterWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+      <node oor:name="com.sun.star.sdb.FormDesign" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.text.TextDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true">
+          <value>writer8_template</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/swriter</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>WriterCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>2</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>swform</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value xml:lang="en-US">Base: Form Design</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>WriterFormWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+      <node oor:name="com.sun.star.sdb.TextReportDesign" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.text.TextDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true">
+          <value>writer8_template</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/swriter</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>WriterCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>2</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>swreport</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value xml:lang="en-US">Base: Report Design</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>WriterReportWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+      <node oor:name="com.sun.star.xforms.XMLFormDocument" oor:op="replace">
+        <prop oor:name="ooSetupFactoryDocumentService" oor:finalized="true">
+          <value>com.sun.star.text.TextDocument</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualFilter" oor:finalized="true">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryActualTemplateFilter" oor:finalized="true">
+          <value>writer8_template</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryDefaultFilter">
+          <value>writer8</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryEmptyDocumentURL" oor:finalized="true">
+          <value>private:factory/swriter?slot=21053</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCommandConfigRef">
+          <value>WriterCommands</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowAttributes">
+          <value/>
+        </prop>
+        <prop oor:name="ooSetupFactoryIcon">
+          <value>2</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryShortName">
+          <value>swxform</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryUIName">
+          <value xml:lang="en-US">XML Form Document</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryWindowStateConfigRef">
+          <value>XFormsWindowState</value>
+        </prop>
+        <prop oor:name="ooSetupFactoryCmdCategoryConfigRef">
+          <value>GenericCategories</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
Index: /trunk/puppet/modules/oo3_default_fileformat/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/oo3_default_fileformat/manifests/init.pp	(revision 387)
+++ /trunk/puppet/modules/oo3_default_fileformat/manifests/init.pp	(revision 387)
@@ -0,0 +1,21 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+class oo3_default_fileformat {
+
+   package { [ "openoffice.org-common" ]: ensure => installed }
+
+   # we are changing the config file for write, calc and impress for oo3 3.1
+   change_oo3_default { [ "writer", "calc", "impress" ]: oo3_version => "3.1"; }
+
+   # Configuration file for OO 3.X
+   define change_oo3_default($oo3_version) {
+     file { "/usr/lib/openoffice/basis$oo3_version/share/registry/modules/org/openoffice/Setup/Setup-$name.xcu":
+       owner => root,
+       group => root,
+       mode => 644,
+       source => "puppet:///oo3_default_fileformat/Setup-$name.xcu"
+      }
+   }
+}