Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/diaporama.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/diaporama.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/diaporama.css	(revision 394)
@@ -0,0 +1,32 @@
+#bloc-diaporama {
+width: 606px;
+margin: 10px auto;
+border: 1px solid #f30;
+padding: 2px;
+background-color: #fff;	
+}
+
+.uneimage{
+border: 1px solid #666;
+padding: 1px;
+background-color: #fff;
+margin: 0 auto;
+}
+
+#diaporama {
+margin: 0 auto;
+width: 604px;
+text-align: center;
+}
+
+#comment {
+font-size: 10px;
+color: #333;
+text-align: center;	
+padding: 10px;
+}
+
+.img-diaporama-page {
+margin: 0 auto;
+border: 1px solid #333;
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/lecteur-standalone.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/lecteur-standalone.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/lecteur-standalone.css	(revision 394)
@@ -0,0 +1,8 @@
+#lecteur-audio-standalone {
+margin: 10px 0 0 10px;	
+}
+
+#lecteur-audio-standalone h2 {
+font-size: 10px;
+font-size: georgia, times, serif;	
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/newsletter.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/newsletter.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/addfiles/newsletter.css	(revision 394)
@@ -0,0 +1,25 @@
+/* css de positionnement hors declinaison */
+
+body {
+margin: 23px 0 15px 0;
+background: url('../images/fond.jpg') repeat-x top left #f90;
+font-size: 12px;
+color: #333;
+font-family: geneva, arial, verdana, sans-serif;
+}
+
+#general {
+width: 90%;
+margin: 0 auto;
+padding: 18px;
+background: url('../images/commune-pgv-logos.gif') no-repeat bottom left #fff;
+}
+
+#bandeau {
+height: 130px;
+background: url('bandeau-surcouche.png') no-repeat bottom left #fff;
+}
+
+#corps {
+margin: 0;
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/blocs-speciaux.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/blocs-speciaux.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/blocs-speciaux.css	(revision 394)
@@ -0,0 +1,25 @@
+/* carte sociale */
+#contexte1 #cartesociale, #contexte2 #cartesociale {
+background-color:#91A12B;
+padding: 8px 5px 20px 5px;
+}
+
+#cartesociale p.listagetexte {
+color: #fff;
+margin: 4px 0 16px 0;	
+}
+
+#cartesociale img {
+display: block;
+margin-bottom: 10px;
+}
+
+/* projet politique */
+
+#contextes .listagebloc.Projetpolitique, #contextes .listagebloc.Projetpolitique {
+	background-color: #005e96;
+}
+
+#contextes .listagebloc.Projetpolitique h2, #contextes .listagebloc.Projetpolitique h2 {
+	color: #8EC8FF;
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/disposition.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/disposition.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/disposition.css	(revision 394)
@@ -0,0 +1,196 @@
+/* css de positionnement hors declinaison */
+
+body {
+margin: 23px 0 15px 0;
+background: url('images/fond.jpg') repeat-x top left #9b97c8;
+}
+
+#general {
+width: 780px;
+margin: 0 auto;
+padding: 0px;
+background-color:#fff;
+
+}
+
+#bandeau {
+height: 180px;
+}
+
+#bandeau img {
+display: block;
+position: relative;
+top: -8px;	
+}
+
+#onglets {
+height: 20px;
+padding: 0 10px 20px 10px;
+}
+
+#onglets li {
+float: left;
+background: url('images/onglet.gif') no-repeat bottom center;
+width: 136px;
+padding: 2px;
+margin-right: 2px;
+font-size: 12px;
+font-family: arial, verdana, sans-serif;
+color: #fff;
+text-align: center;
+}
+
+#onglets li a {
+color: #fff;	
+}
+
+#onglets li:hover {
+background: url('images/onglet-hover.gif') no-repeat bottom center;
+}
+
+#switcherlangue {
+float: right;	
+}
+
+
+#switcherlangue li {
+display: inline;
+font-family: arial, verdana, sans-serif;
+font-size: 10px;
+color: #5c3705;
+}
+
+#switcherlangue li a {
+color: #5c3705;
+text-decoration: none;
+}
+
+#switcherlangue li a:hover {
+	color: #f60;
+text-decoration: underline;
+}
+
+
+/* navigation */
+
+#navigation ul, #navigation li {
+list-style-type: none;
+padding:0;
+margin: 0;
+}
+
+#navigation {
+width: 130px;
+}
+
+#navigation li {
+font-size: 12px;
+text-align: left;
+line-height: 140%;
+}
+
+#navigation li a {
+color: #3d1f04;
+text-decoration: none;	
+}
+#navigation li a:hover {
+color: #f90;	
+}
+#navigation .niveau1 {
+margin-left: 4px;
+border-bottom:1px solid #ccc;
+}
+#navigation .niveau2 {
+margin-left: 8px;
+}
+
+/* ajout du bloc rechercher pa jquery */
+#bloccherche .forml {
+margin-top: 4px;
+font-size: 9px;
+border: 1px solid #333;
+padding: 2px;
+}
+
+/* contextes */
+
+#contexte1 {
+float: left;
+width: 140px;
+}
+#contexte2 {
+float: right;
+width: 140px;
+}
+
+/* chemin */
+
+#chemin {
+font-size: 9px;
+color: #aaa;
+margin: 0 0 18px 0;
+padding: 0 0 4px 0;
+border-bottom: 1px solid #aaa;	
+}
+
+#chemin a {
+color: #aaa;	
+}
+
+#chemin a:hover {
+color: #777;
+text-decoration: underline;	
+}
+
+#corps {
+margin:0 150px 0 150px;
+min-height: 400px;
+_height: 400px;
+}
+
+#footer {
+border-top: 1px solid #666;
+padding: 5px;
+clear: both;
+margin-top: 18px;
+
+font-size: 10px;
+color: #444;
+
+text-align: center
+}
+
+#footer a {
+color: #444;
+text-decoration: none;
+border-bottom: 1px dashed #333;	
+}
+
+#footer a:hover {
+color: #f60;
+text-decoration: none;
+border-bottom: 1px dashed #f60;	
+}
+
+#arty-footer {
+font-size: 9px;
+color: #ccc;
+margin: 8px 0 0 0;
+height: 0px;	
+}
+
+#arty-footer a {
+color: #ccc;
+border-bottom: 1px dotted #ccc;	
+}
+
+#arty-footer a:hover {
+color: #999;
+border-bottom: 1px dotted #999;	
+}
+#recherche{
+width:120px
+}
+.titre-recherche{
+display:none
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/laune.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/laune.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/laune.css	(revision 394)
@@ -0,0 +1,67 @@
+/* rubrique a la une */
+
+#corps div.rubrique-une, #corps div.article-une {
+	color: #955B0B;	
+	margin: 5px 0 0 0;
+}
+
+#corps .rubrique-une h2, #corps .article-une h2 {
+	font-family: arial, geneva, sans-serif;
+	font-size: 11px;
+	color: #955B0B;
+	margin-left: 10px;
+	margin-bottom: 2px;
+	border-bottom: 0;
+	text-transform: none;
+}
+
+
+#corps .rubrique-une h2 a, #corps .article-une h2 a {
+		color: #955B0B;	
+		
+}
+
+#corps .rubrique-une h2 a:hover, #corps .article-une h2 a:hover {
+		color: #5B3300;	
+}
+
+#corps .rubrique-une h4, #corps .article-une h4 {
+	font-family: georgia, times, serif;
+	font-size: 14px;
+	color: #553507;
+letter-spacing: 0.05em;	
+}
+
+#corps .rubrique-une h4 a, #corps .article-une h4 a {
+		color: #553507;	
+}
+
+#corps .rubrique-une h4 a:hover, #corps .article-une h4 a:hover {
+	color: #000;
+	}
+
+#corps .rubrique-une .listagelogo, #corps .article-une .listagelogo {
+	display: block;
+	float: left;
+	margin-right: 10px;
+}
+
+#corps .rubrique-une .listageinfo, #corps .article-une .listageinfo {
+font-size: 9px;
+color: #333;
+font-weight: normal;
+}
+
+#corps .rubrique-une .listagetexte, #corps .article-une .listagetexte {
+		font-size: 10px;	
+margin-top: 1em;
+}
+
+
+#corps .rubrique-une ul, #corps .article-une ul {
+	border:1px solid #333;
+	padding:  5px;
+	background: url('images/cartouche.png') top left repeat-y;
+}
+
+/*  */
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/listes.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/listes.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/listes.css	(revision 394)
@@ -0,0 +1,183 @@
+/* comportement des listes */
+
+#corps h2, #corps h2 a {
+font-family: arial, helvetica, serif;
+font-size: 12px;
+padding-bottom: 0.2em;
+margin: 1.5em 0 1em 0;
+color: #553507;
+border-bottom: 1px solid #553507;
+text-transform: uppercase;
+
+}
+
+#corps .listageconteneur {
+padding-bottom: 5px;
+}
+
+#corps .listageconteneur li {
+margin-bottom: 5px;
+
+}
+
+#corps h4 {
+font-size: 16px;
+font-family: georgia, times, serif;
+margin-bottom: 6px;
+color: #f30;	
+}
+
+#corps #piecesjointes h4 {
+font-size: 14px;
+}
+
+#corps h4 a {
+color: #f60;	
+}
+
+#corps h4 a:hover{
+color: #f90;	
+}
+
+#corps .listagelogo {
+float: left;
+margin: 0 10px 4px 0;	
+}
+
+
+#corps .listageinfo {
+font-size: 9px;	
+}
+
+#corps .listagetexte {
+font-size: 10px;	
+}
+
+.listagesuite {
+font-size: 9px;	
+text-align: right;
+margin-right: 18px;	
+}
+
+.listagesuite a {
+color: #f60;	
+}
+
+.listagesuite a:hover {
+	color: #000;
+}
+
+/* cas specifiques */
+
+#corps #edito h2 {
+	display: none;
+}
+
+#corps #edito h1 {
+font-size: 18px;
+}
+
+/* blocs Ã  la une */
+
+.rubrique-une .listagetexte {
+display:none;
+} 
+
+/* l'agenda */
+
+#agenda .listageconteneur h4 {
+font-size: 14px;
+font-weight: bold;	
+}
+
+/* forum */
+
+.formulaire_forum {
+margin: 12px 0;
+background-color: #eee;
+padding: 8px;
+}
+
+.formulaire_forum legend {
+font-size: 14px;
+display: block;
+
+
+}
+
+.formulaire_forum fieldset {
+margin-bottom: 20px;
+}
+
+.formulaire_forum label {
+display: block;
+font-size: 11px;
+margin: 6px 0 0 0;
+}
+
+.formulaire_forum p {
+font-size: 9px;
+margin: 2px 0 6px 0;
+}
+
+.formulaire_forum .forml {
+font-size: 10px;
+width: 90%;
+}
+
+.formulaire_forum .spip_bouton {
+text-align: right;
+padding: 2px 0 0 0;
+}
+
+.formulaire_forum .spip_bouton input {
+
+font-size: 10px;
+padding: 2px;
+border: 2px outset green;
+background-color: #00CC00;
+color: #fff;
+}
+
+.formulaire_forum .spip_bouton input:hover {
+background-color: green;
+}
+
+.barre {
+display: none;
+}
+
+.formulaire_forum .previsu {
+background-color: #ddd;
+padding: 6px;
+font-size: 14px;
+}
+
+.formulaire_forum .previsu p {
+
+font-size: 12px;
+}
+
+.formulaire_forum small {
+
+font-size: 9px;
+}
+
+#newsletter legend {
+display: none;
+}
+
+/* liste de liens */
+#corps #sites .listageconteneur li {spip.php (line 18)
+clear:left;
+margin-bottom:8px;
+
+}
+
+#corps #sites h4 {
+font-size:11px;
+}
+
+#corps #sites .listageconteneur {
+padding-bottom:0px;
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/menu.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/menu.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/menu.css	(revision 394)
@@ -0,0 +1,80 @@
+.ulniveau3, .ulniveau4, .ulniveau5, .ulniveau6 {
+display: none;
+}
+
+#navigation {
+z-index: 100;
+}
+
+.item0 {
+display:none;
+}
+
+#navigation li {
+
+position: relative;
+
+}
+
+.niveau1 {
+font-size: 13px;
+}
+
+.niveau1 a {
+margin-left: 6px;
+margin-right: 8px;
+text-decoration: none;
+color: #fff;
+padding-bottom: 6px;
+display: block;
+}
+
+.niveau1 a:hover {
+color: #ff0000;
+}
+
+.ulniveau2 {
+display: none;
+width: 12em;
+position: absolute;
+top: 0em;
+left: 120px;
+background-color: #2f608e;
+z-index: 10000;
+font-size: 12px;
+}
+
+.niveau2 {
+
+}
+
+.niveau2 {
+width: 100%;
+}
+
+.niveau2 a{
+text-decoration: none;
+padding: 6px 6px;
+margin: 0;
+display: block;
+border-top: 1px solid #fff;
+}
+
+.niveau2 a:hover {
+background-color: #1C3955;
+color: #fff;
+}
+
+/*#navigation li>ul { 
+ to override top and left in browsers other than IE, 
+which will position to the top right of the containing li, 
+rather than bottom left 
+top: auto;
+left: auto;
+}*/
+
+#navigation li:hover ul, li.over ul { 
+/* lists nested under hovered list items */
+display: block;
+}
+
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/particip-java.js
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/particip-java.js	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/particip-java.js	(revision 394)
@@ -0,0 +1,13 @@
+function switchecarte(quel) {
+$("#PlanAnderlecht").attr({ src: quel});
+}
+
+function apparaitcherche() {
+	$("#bloccherche").slideToggle("normal");	
+}
+
+$(document).ready(function(){
+   $("#navigation").each(function(){
+    $(this).append("<li><a href='javascript:apparaitcherche();' class='titre-recherche'>Rechercher</a></li><li id='bloccherche' style='display:none'><form action='spip.php?page=recherche' method='get'><input name='page' value='recherche' type='hidden' /><input type='text' class='forml' name='recherche' id='rechercher' value='--->' onfocus='this.value=&#34;&#34;;' /></form></li>");
+ 	});
+ });
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/particip-specific.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/particip-specific.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/particip-specific.css	(revision 394)
@@ -0,0 +1,9 @@
+/* specifique a particip cafe */
+
+#agenda .listageinfo {
+display: none;
+}
+
+#artinrub h2, #rubinrub h2 {
+display: none;
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/polices.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/polices.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/polices.css	(revision 394)
@@ -0,0 +1,239 @@
+/* feuille de style principale de police pour le theme particip cafe */
+
+/* css de positionnement hors declinaison */
+
+body {
+font-size: 12px;
+color: #333;
+font-family: geneva, arial, verdana, sans-serif;
+}
+
+/* comportements par defaut */
+
+a {
+color: #666;
+text-decoration: none;
+}
+
+a:hover {
+color: #f60;	
+}
+
+#contextes a {
+color:#3F1C03;
+}
+
+#contextes a:hover {
+color:#ff0;
+}
+	
+ul, li {
+list-style-type: none;
+padding: 0;
+margin: 0;	
+}
+
+h1, h2, h3, h4, h5, h6 {
+margin: 0;
+font-weight: normal;	
+}
+
+p {
+margin: 2px 0;	
+}
+
+.forml {
+width: 100%;
+}
+
+a img {
+border: 0;	
+}
+
+img {
+behavior: url("win_png.htc");	
+}
+#navigation {
+background-color: #0077b3;
+padding: 8px;
+margin-bottom: 18px;	
+}
+/* contextes et corps */
+
+#contextes img {
+display: block;
+margin: 2px auto;
+}
+
+#contextes .listagebloc {
+background-color: #0077b3;
+padding: 8px;
+margin-bottom: 18px;	
+}
+
+#contextes h1 {
+font-size: 18px;
+}
+
+#contextes h2 {
+font-size: 14px;
+letter-spacing: 0.1em;
+color: #fff;
+margin: 4px 0 10px 0;
+}
+#contextes h3 {
+font-size: 12px;
+}
+#contextes h4 {
+font-size: 10px;
+}
+
+#contextes .listageinfo {
+font-size: 9px;
+}
+
+#contextes .listagetexte {
+font-size: 10px;
+color: #fff;
+margin: 10px 0 4px 0;
+}
+
+#contextes .listagetexte a:hover {
+color: #ff0;
+}
+
+#contextes .listagetexte a {
+color: #fff;
+}
+
+/* corps */
+#corps .logo {
+	margin-bottom: 10px;
+}
+
+#texteconteneur {
+margin-bottom: 2em;
+}
+
+#corps h1 {
+font-size: 28px;
+font-family: georgia, times, serif;
+margin-bottom: 6px;
+color: #f30;
+}
+
+.sursoustitre {
+font-size: 10px;
+color: #666;
+letter-spacing: 0.1em;
+}
+
+.surtitre {
+	
+}
+
+.soustitre {
+	
+}
+
+.dateauteurs {
+	font-size: 11px;
+	margin: 28px 0 0 0;
+}
+
+.chapeau {
+font-family: georgia, times, serif;
+margin-top: 18px;
+font-size: 13px;
+color: #333;
+line-height: 140%;
+margin-right: 30px;
+font-weight:bold;
+font-style: italic;
+}
+
+.texte {
+	font-size: 11px;
+	line-height: 140%;
+	margin-top: 18px;
+	text-align: justify;
+}
+
+#corps .ps, #corps .notes {
+font-size: 10px;
+margin: 20px 0 0 0;
+}
+
+.listagerepondre {
+text-align: right;	
+margin-top: 18px;
+}
+
+.listagerepondre a {
+color: #f90;	
+}
+.listagerepondre a:hover {
+color: #f30;	
+}
+
+#corps h3 {
+font-size: 18px;
+margin: 1.5em 0 0.5em 0
+}
+
+/* forum */
+
+#forum ul {
+margin-top: 20px;
+}
+
+#forum ul ul {
+padding-left: 10px;
+margin-left: 10px;
+border-left: 1px solid #ccc;
+}
+
+/* comportement des css generee par spip */
+
+p.spip {
+margin: 2em 0 0 0;
+}
+
+fieldset {
+border: none;
+padding:0;
+}
+
+legend {
+font-size: 18px;
+font-family: georgia, times, serif;
+margin-bottom: 10px;
+}
+
+fieldset p {
+margin: 6px 0 18px 0;
+}
+
+label {
+font-weight: bold;
+font-size: 12px;
+}
+
+/* cacher la traduction car prise en charge par le bandeau */
+.traductions {
+display: none;
+}
+
+#contextes .forml {
+width:94%;
+border:0;
+font-size:10px;
+color:#333;
+padding:2px;
+}
+
+/* formulaire proposer site */
+
+#proposer-site legend {
+display:none;
+}
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/theme.xml
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/theme.xml	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/theme.xml	(revision 394)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<theme>
+  <titre>cepetel</titre>
+  <description><![CDATA[
+  El tema Cepetel.<br />
+  Dominantes en naranja y marron, ancho del cuerpo principal XXX pixels, ancho de los contextos 140 pixels. <br />Bandeau de 750px por 102px.
+  ]]></description>
+  <auteur><![CDATA[redCTA]]></auteur>
+  <separateur> : </separateur>
+  <chemin_page>corps</chemin_page>
+  <navigation>contexte1</navigation>
+
+  <audiovars><![CDATA[displayheight=88&repeat=true&shuffle=false&lightcolor=0xaf8a1e&backcolor=0x999967&frontcolor=0xe1b226]]></audiovars>
+  <audiowidth>365</audiowidth>
+  <audioheight>200</audioheight>  
+  <largeurcorps>455</largeurcorps>
+  <largeurcontexte1>130</largeurcontexte1>
+  <largeurcontexte2>124</largeurcontexte2>
+
+</theme>
Index: /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/thickbox.css
===================================================================
--- /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/thickbox.css	(revision 394)
+++ /trunk/spip/esqueleto-redcta/plugins/magusine-portage2/themes/cepetel/thickbox.css	(revision 394)
@@ -0,0 +1,158 @@
+/* ----------------------------------------------------------------------------------------------------------------*/
+/* ---------->>> global settings needed for thickbox <<<-----------------------------------------------------------*/
+/* ----------------------------------------------------------------------------------------------------------------*/
+
+/* ----------------------------------------------------------------------------------------------------------------*/
+/* ---------->>> thickbox specific link and font settings <<<------------------------------------------------------*/
+/* ----------------------------------------------------------------------------------------------------------------*/
+#TB_window {
+	font: 12px Arial, Helvetica, sans-serif;
+	color: #333333;
+}
+
+#TB_secondLine {
+	font: 10px Arial, Helvetica, sans-serif;
+	color:#666666;
+}
+
+#TB_window a:link {color: #666666;}
+#TB_window a:visited {color: #666666;}
+#TB_window a:hover {color: #000;}
+#TB_window a:active {color: #666666;}
+#TB_window a:focus{color: #666666;}
+
+/* ----------------------------------------------------------------------------------------------------------------*/
+/* ---------->>> thickbox settings <<<-----------------------------------------------------------------------------*/
+/* ----------------------------------------------------------------------------------------------------------------*/
+#TB_overlay {
+	position: fixed;
+	z-index:100;
+	top: 0px;
+	left: 0px;
+	background-color:#f90;
+	filter:alpha(opacity=75);
+	-moz-opacity: 0.75;
+	opacity: 0.75;
+	height:100%;
+	width:100%;
+}
+
+* html #TB_overlay { /* ie6 hack */
+     position: absolute;
+     height: expression(document.body.scrollHeight > document.body.offsetHeight ? document.body.scrollHeight : document.body.offsetHeight + 'px');
+}
+
+#TB_window {
+	position: fixed;
+	background: #ffffff;
+	z-index: 102;
+	color:#000000;
+	display:none;
+	border: 4px solid #525252;
+	text-align:left;
+	top:50%;
+	left:50%;
+}
+
+* html #TB_window { /* ie6 hack */
+position: absolute;
+margin-top: expression(0 - parseInt(this.offsetHeight / 2) + (TBWindowMargin = document.documentElement && document.documentElement.scrollTop || document.body.scrollTop) + 'px');
+}
+
+#TB_window img#TB_Image {
+	display:block;
+	margin: 15px 0 0 15px;
+	border-right: 1px solid #ccc;
+	border-bottom: 1px solid #ccc;
+	border-top: 1px solid #666;
+	border-left: 1px solid #666;
+}
+
+#TB_caption{
+	height:25px;
+	padding:7px 30px 10px 25px;
+	float:left;
+}
+
+#TB_closeWindow{
+	height:25px;
+	padding:11px 25px 10px 0;
+	float:right;
+}
+
+#TB_closeAjaxWindow{
+	padding:7px 10px 5px 0;
+	margin-bottom:1px;
+	text-align:right;
+	float:right;
+}
+
+#TB_ajaxWindowTitle{
+	float:left;
+	padding:7px 0 5px 10px;
+	margin-bottom:1px;
+}
+
+#TB_title{
+	background-color:#e8e8e8;
+	height:27px;
+}
+
+#TB_ajaxContent{
+	clear:both;
+	padding:2px 15px 15px 15px;
+	overflow:auto;
+	text-align:left;
+	line-height:1.4em;
+}
+
+#TB_ajaxContent.TB_modal{
+	padding:15px;
+}
+
+#TB_ajaxContent p{
+	padding:5px 0px 5px 0px;
+}
+
+#TB_load{
+	position: fixed;
+	display:none;
+	height:13px;
+	width:208px;
+	z-index:103;
+	top: 50%;
+	left: 50%;
+	margin: -6px 0 0 -104px; /* -height/2 0 0 -width/2 */
+}
+
+* html #TB_load { /* ie6 hack */
+position: absolute;
+margin-top: expression(0 - parseInt(this.offsetHeight / 2) + (TBWindowMargin = document.documentElement && document.documentElement.scrollTop || document.body.scrollTop) + 'px');
+}
+
+#TB_HideSelect{
+	z-index:99;
+	position:fixed;
+	top: 0;
+	left: 0;
+	background-color:#fff;
+	border:none;
+	filter:alpha(opacity=0);
+	-moz-opacity: 0;
+	opacity: 0;
+	height:100%;
+	width:100%;
+}
+
+* html #TB_HideSelect { /* ie6 hack */
+     position: absolute;
+     height: expression(document.body.scrollHeight > document.body.offsetHeight ? document.body.scrollHeight : document.body.offsetHeight + 'px');
+}
+
+#TB_iframeContent{
+	clear:both;
+	border:none;
+	margin-bottom:-1px;
+	margin-top:1px;
+	_margin-bottom:1px;
+}