Index: /trunk/puppet/manifests/classes/estacion-de-trabajo.pp
===================================================================
--- /trunk/puppet/manifests/classes/estacion-de-trabajo.pp	(revision 395)
+++ /trunk/puppet/manifests/classes/estacion-de-trabajo.pp	(revision 396)
@@ -75,5 +75,5 @@
     file { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
 	ensure => "present",
-	owner => "root", group => "root", mode => "755", checksum => mtime
+	owner => "root", group => "root", mode => "755", checksum => mtime,
     }
 
Index: /trunk/puppet/manifests/classes/maquinavirtual.pp
===================================================================
--- /trunk/puppet/manifests/classes/maquinavirtual.pp	(revision 396)
+++ /trunk/puppet/manifests/classes/maquinavirtual.pp	(revision 396)
@@ -0,0 +1,11 @@
+class maquinavirtual {
+   
+   package { [ "qemu" ]: ensure => installed }
+   package { [ "qemuctl" ]: ensure => installed }
+}
+
+class maquinavirtual::dos {
+
+    package { [ "dosbox" ]: ensure => installed }
+
+}
Index: /trunk/puppet/manifests/node-prod-servidores.pp
===================================================================
--- /trunk/puppet/manifests/node-prod-servidores.pp	(revision 395)
+++ /trunk/puppet/manifests/node-prod-servidores.pp	(revision 396)
@@ -1,35 +1,15 @@
-node bolivar {
-
-   include installers
-
-    ltsp::buildclient { dist:
-        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
-        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
-    }
-
-    include ltsp::tftpdhpa::activate
-
-    include ubuntu::apt
-
-    include test_class
-    include utile-cli
-
-    include estacion-de-trabajo
-
-    cronapt::mailon-mailto { dist:
-       mailon => "upgrade",
-       mailto => "security@localhost"
-    }
-
-    debproxy::activateclient { dist:
-       debproxyhost => "debproxy-ubuntu",
-    }
-
-}
-
-node chavez {
-    include test_class
-
-    include svn
+node jujuy {
+
+    include di_netboot_assistant
+
+    debproxy::activateclient { dist:
+       debproxyhost => "debproxy-ubuntu",
+    }
+
+    include debproxy::server
+
+    package {
+        [ "puppetmaster"]: ensure => installed;
+    }
 
     svn::checkout { chavez-preseed:
@@ -39,4 +19,89 @@
     }
 
+    ltsp::buildclient { dist:
+        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
+        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
+    }
+
+    include ltsp::tftpdhpa::activate
+
+    include ubuntu_sources_list
+
+    include test_class
+    include utile-cli
+
+    include estacion-de-trabajo
+
+    ubuntufirefox::startuppage { dist:
+       startuppage => "http://www.cta.org.ar",
+    }
+
+    include ltsp::updateclient::piloto
+
+}
+
+node octubre {
+
+#    include di_netboot_assistant
+#    include debproxy::server
+
+    include backup_rsnapshot
+    file { "/etc/rsnapshot-che.conf":
+        owner => root,
+        group => root,
+        mode => 644,
+        source => "puppet:///files/guevara/rsnapshot-che.conf"
+    }
+
+    include utile-cli
+
+    include ubuntu_sources_list
+
+    debproxy::activateclient { dist:
+       debproxyhost => "debproxy-ubuntu",
+    }
+
+    file { ["/backup"]:
+      ensure => directory,
+      owner => "root", group => "root", mode => "770"
+    }
+
+#    svn::checkout { chavez-preseed:
+#       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
+#       local_path => "/var/www",
+#       local_name => "preseed",
+#    }
+
+#    include webapps-php
+
+#    package {
+#        [ "cups"]: ensure => installed;
+#    }
+#    package {
+#        [ "sudo"]: ensure => installed;
+#    }
+
+}
+
+node bolivar {
+
+   include oo3_default_fileformat
+
+   include di_netboot_assistant
+
+    ltsp::buildclient { dist:
+        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
+        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
+    }
+
+    include ltsp::tftpdhpa::activate
+
+    include ubuntu_sources_list
+
+    include test_class
+    include utile-cli
+
+    include estacion-de-trabajo
+
     cronapt::mailon-mailto { dist:
        mailon => "upgrade",
@@ -44,4 +109,26 @@
     }
 
+    debproxy::activateclient { dist:
+       debproxyhost => "debproxy-ubuntu",
+    }
+
+}
+
+node chavez {
+    include test_class
+
+    include svn
+
+    svn::checkout { chavez-preseed:
+       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
+       local_path => "/var/www",
+       local_name => "preseed",
+    }
+
+    cronapt::mailon-mailto { dist:
+       mailon => "upgrade",
+       mailto => "security@localhost"
+    }
+
     include debproxy::server
 
@@ -55,4 +142,18 @@
     include test_class
     include utile-cli
+
+    include backup_rsnapshot
+    file { "/etc/rsnapshot-che.conf":
+        owner => root,
+        group => root,
+        mode => 644,
+        source => "puppet:///files/guevara/rsnapshot-che.conf"
+    }
+    file { "/etc/rsnapshot-sedenacional.conf":
+        owner => root,
+        group => root,
+        mode => 644,
+        source => "puppet:///files/guevara/rsnapshot-sedenacional.conf"
+    }
 
     debproxy::activateclient { dist:
@@ -78,4 +179,14 @@
       ensure => directory,
       owner => "root", group => "root", mode => "770"
+    }
+
+    file { ["/backup/rsnapshot-che"]:
+      ensure => directory,
+      owner => "root", group => "root", mode => "755"
+    }
+
+    file { ["/backup/rsnapshot-sedenacional"]:
+      ensure => directory,
+      owner => "root", group => "root", mode => "755"
     }
 