Index: /trunk/puppet/modules/debian_sources_list/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/debian_sources_list/manifests/init.pp	(revision 422)
+++ /trunk/puppet/modules/debian_sources_list/manifests/init.pp	(revision 422)
@@ -0,0 +1,65 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+class debian_sources_list {
+
+   package { [ "apt", "lsb-release" ]: ensure => installed }
+
+    file { "/etc/apt/sources.list":
+        owner => "root",
+        group => "root",
+        mode => 0644,
+        content => template("debian_sources_list/sources.list.erb"),
+        require => Package["lsb-release"],
+    }
+    exec{"apt-get update debian":
+	command => "/usr/bin/apt-get update",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list"],
+        require => File["/etc/apt/sources.list"],
+    }
+}
+
+class debian_sources_list::virtualbox {
+
+    file { "/etc/apt/sources.list.d/virtualbox.list":
+        owner => "root",
+        group => "root",
+        mode => 0644,
+        content => template("debian_sources_list/sources.list.d/virtualbox.erb"),
+    }
+    exec{"apt-get update vb":
+        command => "/usr/bin/apt-get update",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
+        require => File["/etc/apt/sources.list.d/virtualbox.list"],
+    }
+    exec{"/usr/bin/wget -q http://download.virtualbox.org/virtualbox/debian/sun_vbox.asc -O- | /usr/bin/sudo /usr/bin/apt-key add -":
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
+        require => File["/etc/apt/sources.list.d/virtualbox.list"],
+    }
+}
+
+class debian_sources_list::backports {
+
+    file { "/etc/apt/sources.list.d/backports.list":
+        owner => "root",
+        group => "root",
+        mode => 0644,
+        content => template("debian_sources_list/sources.list.d/backports.erb"),  
+    }
+    exec{"apt-get update backports":
+        command => "/usr/bin/apt-get update",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/backports.list"],
+        require => File["/etc/apt/sources.list.d/backports.list"],
+    }
+    exec{"/usr/bin/apt-get --yes -q --allow-unauthenticated install debian-backports-keyring":
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/backports.list"],
+        require => File["/etc/apt/sources.list.d/backports.list"],
+    }
+}
+
Index: /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/backports.erb
===================================================================
--- /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/backports.erb	(revision 422)
+++ /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/backports.erb	(revision 422)
@@ -0,0 +1,4 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+deb http://www.backports.org/debian <%= lsbdistcodename %>-backports main contrib non-free
Index: /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/debian-multimedia.erb
===================================================================
--- /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/debian-multimedia.erb	(revision 422)
+++ /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/debian-multimedia.erb	(revision 422)
@@ -0,0 +1,4 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+deb http://www.debian-multimedia.org <%= lsbdistcodename %> main
Index: /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/virtualbox.erb
===================================================================
--- /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/virtualbox.erb	(revision 422)
+++ /trunk/puppet/modules/debian_sources_list/templates/sources.list.d/virtualbox.erb	(revision 422)
@@ -0,0 +1,4 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+deb http://download.virtualbox.org/virtualbox/debian <%= lsbdistcodename %> non-free
Index: /trunk/puppet/modules/debian_sources_list/templates/sources.list.erb
===================================================================
--- /trunk/puppet/modules/debian_sources_list/templates/sources.list.erb	(revision 422)
+++ /trunk/puppet/modules/debian_sources_list/templates/sources.list.erb	(revision 422)
@@ -0,0 +1,14 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+# Main
+deb http://ftp.fr.debian.org/debian/ <%= lsbdistcodename %> main contrib non-free
+deb-src http://ftp.fr.debian.org/debian/ <%= lsbdistcodename %> main contrib non-free
+#
+# Security Updates
+deb http://security.debian.org/ <%= lsbdistcodename %>/updates main contrib non-free
+deb-src http://security.debian.org/ <%= lsbdistcodename %>/updates main contrib non-free
+#
+# volatile
+deb http://volatile.debian.org/debian-volatile <%= lsbdistcodename %>/volatile main contrib non-free
+deb-src http://volatile.debian.org/debian-volatile <%= lsbdistcodename %>/volatile main contrib non-free
Index: /trunk/puppet/modules/di_netboot_assistant/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 421)
+++ /trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 422)
@@ -91,12 +91,14 @@
     }
 
-   fetch_netboot_powerpc_squeeze { [ "boot.msg", "initrd.gz", "vmlinux", "yaboot", "yaboot.conf" ]:  }
+   fetch_netboot_powerpc_squeeze { [ "boot.msg", "initrd.gz", "vmlinux", "yaboot", "yaboot.conf" ]: release => "squeeze";  }
 
-   define fetch_netboot_powerpc_squeeze($mirror = "http://debian.torredehanoi.org/debian/dists/squeeze/main/installer-powerpc/current/images/powerpc/netboot") {
+#   $mirror1 = "http://debian.torredehanoi.org/debian/dists/squeeze/main/installer-powerpc/current/images/powerpc/netboot"
 
-   exec { "wget -O /var/lib/tftpboot/debian-installer/squeeze/powerpc/$name -q $mirro1/$name":
-     creates => "/var/lib/tftpboot/debian-installer/squeeze/powerpc/$name",
+   define fetch_netboot_powerpc_squeeze($release,$mirror="http://debian.torredehanoi.org/debian/dists") {
+
+   exec { "wget -O /var/lib/tftpboot/debian-installer/$release/powerpc/$name -q $mirror/$release/main/installer-powerpc/current/images/powerpc/netboot/$name":
+     creates => "/var/lib/tftpboot/debian-installer/$release/powerpc/$name",
      path => "/usr/bin",
-     require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/debian-installer/squeeze/powerpc/"]]
+     require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/debian-installer/$release/powerpc/"]]
    }
   }
Index: /trunk/puppet/modules/music_player_daemon/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/music_player_daemon/manifests/init.pp	(revision 421)
+++ /trunk/puppet/modules/music_player_daemon/manifests/init.pp	(revision 422)
@@ -18,4 +18,9 @@
        require => Package["mpd"],
    }
+   file { "/var/lib/mpd/playlists/RadioCanada-64.m3u":
+       content => "http://icy1.abacast.com:80/radiocanada-premierechaine-64\n",
+       ensure => present,
+       require => Package["mpd"],
+   }
    service { "mpd":
       ensure => "running",