Index: /trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml
===================================================================
--- /trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 435)
+++ /trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 435)
@@ -0,0 +1,184 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE greeter SYSTEM "greeter.dtd">
+<greeter>
+
+<!--Background -->
+<item type="pixmap">
+    	<normal file="bg.jpg"/>
+    	<pos x="0" y="0" width="100%" height="100%"/>
+</item>
+
+<!--Login window  -->
+<item type="pixmap">
+	<normal file="login.png"/>
+	<pos anchor="c" x="50%" y="72%"/>
+</item>
+
+<!--Clock -->
+<item type="label" id="clock">
+    	<normal color="#999999" font="Sans 10"/>
+    	<pos anchor="c" x="87%" y="97.2%" />
+    	<text>%c</text>
+</item>
+
+<item type="rect">
+    	<show type="timed"/>
+    	<normal color="#ffffff" alpha="0.5"/>
+    	<pos anchor="c" x="50%" y="35%" width="box" height="box"/>
+    	<box orientation="vertical" min-width="400" xpadding="10" ypadding="5" spacing="0">
+      		<item type="label" id="timed-label">
+        	<normal color="#ffffff" font="Sans 12"/>
+        	<pos x="50%" anchor="n"/>
+		<!-- Stock label for: User %s will login in %d seconds -->
+		<stock type="timed-label"/>
+      		</item>
+    	</box>
+</item>
+
+<!--Login -->
+<item type="rect">
+    <normal color="#FFFFFF" alpha="0"/>
+    <pos anchor="c" x="50%" y="73.5%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="30" ypadding="30" spacing="10">
+
+<!-- 
+      	<item type="label">
+        	<pos anchor="c" x="50%" y="25%"/>
+        	<normal color="#999999" font="Sans 22"/>
+-->
+		<!-- Stock label for: Welcome to %h -->
+<!--
+		<stock type="welcome-label"/>
+      	</item>
+-->
+      	<item type="label" id="pam-prompt">
+        	<pos anchor="c" x="50%" y="30%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+		<!-- Stock label for: Username: -->
+		<stock type="username-label"/>
+      	</item>
+
+      	<item type="rect">
+		<normal color="#333333"/>
+        	<pos anchor="n" x="50%" height="18" width="40%"/>
+		<fixed>
+	  		<item type="entry" id="user-pw-entry">
+            			<normal color="#333333" font="Sans 10"/>
+            			<pos anchor="nw" x="1" y="1" height="-2" width="-2"/>
+	  		</item>
+		</fixed>
+      	</item>
+
+	<item type="rect" id="caps-lock-warning">
+    		<normal color="#FFFFFF" alpha="0"/>
+    		<pos anchor="c" x="50%" y="60%" width="box" height="box"/>
+    		<box orientation="vertical" min-width="380" xpadding="10" ypadding="0" spacing="0">
+      			<item type="label">
+        			<normal color="#666666" font="Sans 10"/>
+        			<pos x="50%" anchor="n"/>
+				<!-- Stock label for: You've got capslock on! -->
+				<stock type="caps-lock-warning"/>
+      			</item>
+    		</box>
+  	</item>  
+     
+    	<!-- all possible actions -->
+      	<item type="rect">
+    		<normal color="#ffffff" alpha="0"/>
+    		<pos anchor="c" x="50%" y="0%" width="300" height="box" expand="true"/>
+    			<box xpadding="5" ypadding="5" spacing="5" orientation="horizontal" homogeneous="true"> 
+				<item type="rect" id="language_button" button="true">
+            			<normal color="#ffffff" alpha="0"/>
+	    			<pos y="45" anchor="w" width="box" height="box"/>
+				<!--	
+				<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+			-->
+				<!-- Stock label for: _Language -->
+				<!--		
+				<stock type="language"/>
+	      			</item>
+            		</box>
+			-->
+	</item>
+
+	<!--
+	<item type="rect" id="session_button" button="true">
+        	<normal color="#ffffff" alpha="0"/>
+		<pos y="45" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+				<pos y="50%" anchor="w"/> -->
+				<!-- Stock label for: _Session -->
+				<!--		<stock type="session"/>
+	      			</item>
+            		</box>
+	</item>
+	-->
+        <item type="rect" id="system_button" button="true">
+            	<normal color="#ffffff" alpha="0"/>
+	    	<show modes="console" type="system"/>
+	    	<pos y="45" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: _Actions -->
+				<stock type="system"/>
+	      			</item>
+            		</box>
+	</item>
+
+        <item type="rect" id="disconnect_button" button="true">
+            	<normal color="#ffffff" alpha="0"/>
+	    	<show modes="flexi,remote"/>
+	    	<pos y="45" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: D_isconnect -->
+				<stock type="disconnect"/>
+	        		<show modes="remote"/>
+	      			</item>
+
+	      			<item type="label">
+	        		<normal color="#ffffff" font="Sans 9"/>
+				<prelight color="#efefef" font="Sans 9"/>
+				<active color="#333333" font="Sans 9"/>
+	        		<pos y="50%" anchor="w"/>
+				<!-- Stock label for: _Quit -->
+				<stock type="quit"/>
+	        		<show modes="flexi"/>
+	      			</item>
+           		</box>
+	</item>
+      
+   </box>
+</item>
+
+</box>
+
+    	<fixed>
+      		<item type="label" id="pam-error">
+        	<pos anchor="c" x="50%" y="-80%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+        	<text></text>
+      		</item>
+    	</fixed>
+</item>
+
+</greeter>
+
+
Index: /trunk/login-themes/gdm-carpani-cta/GdmGreeterTheme.desktop
===================================================================
--- /trunk/login-themes/gdm-carpani-cta/GdmGreeterTheme.desktop	(revision 435)
+++ /trunk/login-themes/gdm-carpani-cta/GdmGreeterTheme.desktop	(revision 435)
@@ -0,0 +1,10 @@
+[GdmGreeterTheme]
+Encoding=UTF-8
+Greeter=Gdm-Carpani-cta.xml
+Name=Gdm-Carpani-CTA
+Name[fr]=Gdm-Carapani-CTA
+Name[es]=Gdm-Carapani-CTA
+Description=GDM theme with an illustration of Carpani - Argentinian militant artist
+Author=Sebastien Grenier
+Copyright=GPL Etienne Alaurent (theme) + Sebastien Grenier (modifications) + Artwork to their respective owners
+Screenshot=screenshot.png